<?php

namespace App\Http\Controllers\Admin;

use App\Models\CarTranslation;
use App\Models\City;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Country;
use App\Models\Car;
class CarsController extends Controller
{
    public function index(){
        
      $cars=Car::with(['translation'=>function($query){
          $query->where('locale','en');
          
      }])->get();
      $countries=Country::all();
        $cities=City::all();

      return view('admin.cars.index',compact('cars','countries','cities'));
      
    }
    public function store(Request $request)
    {
        $car = Car::create([
            'country_id'=>$request->country_id,
            'city_id'=>$request->city_id,
            'price'=>$request->price,
            'image'=>$request->image,
            ]);

        CarTranslation::create([
            'car_id' => $car->id,
            'name'=>$request->ar['name'],
            'description'=>$request->ar['description'],
            'locale' => 'ar',
        ]);
        CarTranslation::create([
            'car_id' => $car->id,
            'name'=>$request->en['name'],
            'description'=>$request->en['description'],
            'locale' => 'en',
        ]);
        return redirect()->back()->with('success','Added Successfully');
    }

    public function edit($id){
        $car= Car::whereId($id)->with('translation')->first();
        $countries=Country::all();
        $cities=City::all();

        return view('admin.cars.edit',compact('car','countries','cities'));
    }

    public function update(Request $request,$id)
    {
       $car= Car::whereId($id)->first();

       $car->update([
            'country_id'=>$request->country_id,
            'city_id'=>$request->city_id,
            'price'=>$request->price,
        ]);

        if($request->en['name'] || $request->en['description'])
        {
            $car_trans = CarTranslation::where('car_id',$id)->where('locale','en')->first();
            $car_trans->update([
                'name'=>$request->en['name'],
                'description'=>$request->en['description'],
            ]);
       }
        if($request->ar['name'] || $request->ar['description'])
        {
            $car_trans = CarTranslation::where('car_id',$id)->where('locale','ar')->first();
            $car_trans->update([
                'name'=>$request->ar['name'],
                'description'=>$request->ar['description'],
            ]);
        }

        if($request->image){
            $car->image=$request->image;
            $car->save();
        }
        return redirect()->back()->with('success','Updated Successfully');

    }
    public function destroy(Car $car){
        $car->delete();
                return redirect()->back()->with('success','Deleted Successfully');
    }

    public function getCities(Request $request){
        //ajax
        $cities=City::where('country_id',$request->country_id)
            ->with(['translation'=>function($query){
                $query->where('locale','ar');
        }])->get();
        return response()->json($cities);
    }

    public function getCars(Request $request){
        //ajax
        $cars=Car::where('city_id',$request->city_id)
            ->where('country_id',$request->country_id)->with(['translation'=>function($query){
            $query->where('locale','en');

        }])->get();
        foreach ($cars  as $car){
            $car->country_name = $car->country->name;
            $car->city_name = $car->city->name;
        }

        return response()->json($cars);
    }
    
}