<?php

namespace App\Http\Controllers\Admin;

use App\Models\Country;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\City;
class CityController extends Controller
{
    public function index(){
        
      $cities=City::with(['translation'=>function($query){
          $query->where('locale','en');

      }])->get();
        $countries=Country::with(['translation'=>function($query){
            $query->where('locale','en');

        }])->get();

      return view('admin.city.index',compact('cities','countries'));
      
    }
    public function store(Request $request){
        
        City::create([
            'code'=>$request->code,
            'country_id'=>$request->country_id,
            'en'=>['name' => $request->en['name']],
            'ar'=>['name' => $request->ar['name']],
            
            ]);
        return redirect()->back()->with('success','Added Successfully');
    }
    public function edit($id){
        $city= City::whereId($id)->with('translation')->first();

        $countries=Country::with(['translation'=>function($query){
            $query->where('locale','en');

        }])->get();
        return view('admin.city.edit',compact('city','countries'));
    }
    public function update(Request $request,$id)
    {
        $city= City::whereId($id)->first();
        $city->update([
            'code'=>$request->code,
            'country_id'=>$request->country_id,
            'en'=>['name' => $request->en['name']],
            'ar'=>['name' => $request->ar['name']],
        ]);

        return redirect()->back()->with('success','Updated Successfully');
    }
    public function destroy(City $city){
        
        $city->delete();
                return redirect()->back()->with('success','Deleted Successfully');

        
    }

    public function editCityStatus(Request $request)
    {
        $cat=City::where("id",$request->city_id)->first();
        if($cat->active == 1){
            City::where("id",$request->city_id)
                ->update(["active" => 0 ]);
        }else{
            City::where("id",$request->city_id)
                ->update(["active" => 1 ]);
        }
        session()->flash('insert_message','تمت العملية بنجاح');
        return back();
    }


    
    
}