<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Country;
class CountryController extends Controller
{
    public function index(){
        
      $countries=Country::with(['translation'=>function($query){
          $query->where('locale','en');
          
      }])->get();

      return view('admin.country.index',compact('countries'));
      
    }
    public function store(Request $request){
        
        Country::create([
            'code'=>$request->code,
            'en'=>['name' => $request->en['name']],
            'ar'=>['name' => $request->ar['name']],
            
            ]);
        return redirect()->back()->with('success','Added Successfully');
    }
    public function edit($id){
        $country= Country::whereId($id)->with('translation')->first();

        return view('admin.country.edit',compact('country'));
    }
    public function update(Request $request,$id)
    {
        $country= Country::whereId($id)->first();
        $country->update([
            'code'=>$request->code,
            'en'=>['name' => $request->en['name']],
            'ar'=>['name' => $request->ar['name']],
        ]);

        return redirect()->back()->with('success','Updated Successfully');
    }
    public function destroy(Country $country){
        
        $country->delete();
                return redirect()->back()->with('success','Deleted Successfully');

        
    }

    public function editCountryStatus(Request $request)
    {
        $cat=Country::where("id",$request->country_id)->first();
        if($cat->active == 1){
            Country::where("id",$request->country_id)
                ->update(["active" => 0 ]);
        }else{
            Country::where("id",$request->country_id)
                ->update(["active" => 1 ]);
        }
        session()->flash('insert_message','تمت العملية بنجاح');
        return back();
    }


    
    
}