<?php

namespace App\Http\Controllers\Admin;

use App\Models\Notify;
use App\Models\User;
use App\Models\UserNotify;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Promo;
class PromoController extends Controller
{
    public function index()
    {
      $promos=Promo::all();
      return view('admin.promos.index',compact('promos'));
    }

    public function store(Request $request)
    {
        Promo::create([
            'code'=>$request->code,
            'limit'=>$request->limit,
            'amount'=>$request->amount,
            'start_date'=>$request->start_date,
            'end_date'=>$request->end_date,
            'message'=>$request->message,
            ]);

        $users_token = User::pluck('token')->toArray();
        $promo_text = "البروكو كود الخاص بك هو : ".$request->code;
        Notify::send($users_token,'notify',$promo_text);
        $users = User::get();
        foreach ($users as $user){
            $user_notification = new UserNotify();
            $user_notification->user_id = $user->id;
            $user_notification->save();
            $user_notification->translateOrNew('ar')->name = "البروكو كود الخاص بك هو : ".$request->code;
            $user_notification->translateOrNew('en')->name = "Your promo code is : ".$request->code;
            $user_notification->save();
        }

        return redirect()->back()->with('success','Added Successfully');
    }

    public function edit($id)
    {
        $promo= Promo::whereId($id)->first();
        return view('admin.promos.edit',compact('promo'));
    }

    public function update(Request $request,$id)
    {
        $promo= Promo::whereId($id)->first();

        $promo->update([
        'code'=>$request->code,
        'limit'=>$request->limit,
        'amount'=>$request->amount,
        ]);

        return redirect()->back()->with('success','Updated Successfully');
    }

    public function destroy(Promo $promo)
    {
        $promo->delete();
        return redirect()->back()->with('success','Deleted Successfully');
    }


    
    
}