<?php

namespace App\Http\Controllers\Admin;

use App\Models\Country;
use App\Models\RushHourPeriod;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class RushHourPeriodController extends Controller
{
    public function index(){

        $periods=RushHourPeriod::all();
        $countries=Country::all();

        return view('admin.rush_periods.index',compact('periods','countries'));

    }

    public function store(Request $request){
        RushHourPeriod::create([
            'country_id'=>$request->country_id,
            'from'=>$request->from,
            'to'=>$request->to,
        ]);
        return redirect()->back()->with('success','تم الإضافة بنجاح');
    }

    public function edit($id){
        $period= RushHourPeriod::whereId($id)->first();
        $countries=Country::all();
        return view('admin.rush_periods.edit',compact('period','countries'));
    }

    public function update(Request $request,$id){
        $service= RushHourPeriod::whereId($id)->first();
        $service->update([
            'country_id'=>$request->country_id,
            'from'=>$request->from,
            'to'=>$request->to,
        ]);
        return redirect()->route('rush.period.car')->with('success','تم التعديل بنجاح');
    }

    public function destroy(RushHourPeriod $rush_period)
    {
        $rush_period->delete();
        return redirect()->back()->with('success','تم الحذف بنجاح');
    }
}
