<?php

namespace App\Http\Controllers\Admin;

use App\Models\Country;
use App\Models\RushHourService;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class RushHourServiceController extends Controller
{
    public function index(){

        $services=RushHourService::all();
        $countries=Country::all();

        return view('admin.rush_hours_services.index',compact('services','countries'));

    }
    public function store(Request $request){
        $service_car = RushHourService::where('car_id',$request->car_id)->first();
        if ($service_car){
            return redirect()->back()->with('error',"عفوا لا يمكن إضافة رسوم الخدمة لنفس السيارة أكثر من مرة");
        }
        RushHourService::create([
            'country_id'=>$request->country_id,
            'car_id'=>$request->car_id,
            'start'=>$request->start,
            'wait'=>$request->wait,
            'minimum_fare'=>$request->minimum_fare,
            'service_fees'=>$request->service_fees,
            'cancel_before_fees'=>$request->cancel_before_fees,
            'cancel_after_fees'=>$request->cancel_after_fees
        ]);
        return redirect()->back()->with('success','تم الإضافة بنجاح');
    }

    public function edit($id){
        $service= RushHourService::whereId($id)->first();
        $countries=Country::all();
        return view('admin.rush_hours_services.edit',compact('service','countries'));
    }

    public function update(Request $request,$id){
        $service= RushHourService::whereId($id)->first();
        $service->update([
            'country_id'=>$request->country_id,
            'car_id'=>$request->car_id,
            'start'=>$request->start,
            'wait'=>$request->wait,
            'minimum_fare'=>$request->minimum_fare,
            'service_fees'=>$request->service_fees,
            'cancel_before_fees'=>$request->cancel_before_fees,
            'cancel_after_fees'=>$request->cancel_after_fees
        ]);
        return redirect()->route('rush.service.car')->with('success','تم التعديل بنجاح');
    }

    public function destroy(RushHourService $servicecar)
    {
        $servicecar->delete();
        return redirect()->back()->with('success','تم الحذف بنجاح');
    }
}
