<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Country;
use App\Models\ServiceCar;
class ServiceCarsController extends Controller
{

    public function index(){
        
      $services=ServiceCar::all();
      $countries=Country::all();

      return view('admin.servicecars.index',compact('services','countries'));
      
    }
    public function store(Request $request){
        $service_car = ServiceCar::where('car_id',$request->car_id)
            ->first();
        if ($service_car){
            return redirect()->back()->with('error',"Can't Add service for the same car more than one");
        }
        ServiceCar::create([
            'country_id'=>$request->country_id,
            'car_id'=>$request->car_id,
            'start'=>$request->start,
            'wait'=>$request->wait,
            'minimum_fare'=>$request->minimum_fare,
            'service_fees'=>$request->service_fees,
            'cancel_before_fees'=>$request->cancel_before_fees,
            'cancel_after_fees'=>$request->cancel_after_fees
            ]);
        return redirect()->back()->with('success','Added Successfully');
    }

    public function edit($id){
        $service= ServiceCar::whereId($id)->first();
        $countries=Country::all();
        return view('admin.servicecars.edit',compact('service','countries'));
    }

    public function update(Request $request,$id){
        $service= ServiceCar::whereId($id)->first();
        $service->update([
                'country_id'=>$request->country_id,
                'car_id'=>$request->car_id,
            'start'=>$request->start,
            'wait'=>$request->wait,
            'minimum_fare'=>$request->minimum_fare,
            'service_fees'=>$request->service_fees,
            'cancel_before_fees'=>$request->cancel_before_fees,
            'cancel_after_fees'=>$request->cancel_after_fees
        ]);
        return redirect()->back()->with('success','Updated Successfully');
    }

    public function destroy(ServiceCar $servicecar)
    {
        $servicecar->delete();
                return redirect()->back()->with('success','Deleted Successfully');
    }

}
