<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Interface_directory\Admin\TripRepositoryInterface;
use App\Http\Controllers\Interface_directory\Admin\DriverRepositoryInterface;
use App\Models\Trip;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Session;

class TripController extends Controller
{
    protected $tripRepository, $driverRepository;
    public function __construct(TripRepositoryInterface $tripRepository, DriverRepositoryInterface $driverRepository)
    {
        $this->tripRepository = $tripRepository;
        $this->driverRepository = $driverRepository;
    }

    protected function index()
    {
        $trips = $this->tripRepository->index();
        return view('admin.trips.index',compact('trips'));
    }

    public function view($id)
    {
        $trip = $this->tripRepository->view($id);
        return view('admin.trips.show',compact('trip'));
    }

    public function search(Request $request)
    {
        $trips = $this->tripRepository->search($request);
        return view('admin.trips.index',compact('trips'));
    }

    public function orders_export(Request $request)
    {
        $this->tripRepository->export();
    }
    public function clear_search()
    {
        Session::forget('search_results');

        return redirect()->route('trips')->with('success','Search Inputs Cleared Successfully');
    }

    public function IllustrationMap()
    {
        $trips = Trip::get();
        $trips_locations = [];
        foreach ($trips as $key => $trip){
            $trips_locations[$key] = $trip->tripPath()->where('type','pick_up')->first();
        }
        $drivers = $this->driverRepository->driver()['drivers'];
        return view('admin.trips.map',compact('trips_locations','drivers'));
    }
}
