<?php

namespace App\Http\Controllers\Api\User;

use App\Http\Controllers\Controller;
use App\Http\Controllers\Interface_directory\Api\User\AuthRepositoryInterface;
use App\Http\Controllers\Interface_directory\Api\User\HomeRepositoryInterface;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class AuthController extends Controller
{
    protected $authRepository;
    protected $homeRepository;
    public function __construct(AuthRepositoryInterface $authRepository,HomeRepositoryInterface $homeRepository)
    {
        $this->authRepository = $authRepository;
        $this->homeRepository = $homeRepository;
    }

    public function loginRegister(Request $request)
    {
        $validator = Validator::make($request->all(),[
            'phone' => 'required|numeric',
            'code' => 'required|exists:countries,code',
        ]);

        if($validator->fails())
            return response()->json(['status'=> 401, 'msg'=> $validator->messages()]);

        $code = $this->authRepository->loginRegister($request);
//        if($user)
//        {
//            $user = $this->homeRepository->home($request->header(),$request);
            return response()->json(msgcode($request,success(),'code_sent',$code));
//        }
    }

//    public function codeSend(Request $request)
//    {
//        $validator = Validator::make($request->all(),[
//            'phone' => 'required|numeric',
//        ]);
//
//        if($validator->fails())
//            return response()->json(['status'=> 401, 'msg'=> $validator->messages()]);
//
//        $phone = $this->authRepository->sendSms($request->phone);
////        if($phone == 'phone_not_exist')
////            return response()->json(msg($request,failed(),'phone_not_exist'));
////        else
//            return response()->json(msg($request,success(),'code_sent'));
//    }

    public function codeCheck(Request $request)
    {
        $validator = Validator::make($request->all(),[
            'check_code' => 'required|numeric',
            'token' => 'required',
            'device_token' => 'required',
            'code' => 'required|exists:countries,code',
        ]);

        if($validator->fails())
            return response()->json(['status'=> 401, 'msg'=> $validator->messages()]);

        $check = $this->authRepository->codeCheck($request);
        if($check)
        {
            if($check == 'expire')
                return response()->json(msg($request,failed(),'code_expire'));
//            elseif($check == 'activated_before')
//                return response()->json(msg($request,failed(),'code_activated_before'));
            elseif ($check == 'invalid_code')
                return response()->json(msg($request,failed(),'invalid_code'));
            else
                $home = $this->homeRepository->home($request->header(),$request);
                return response()->json(msgdata($request,success(),'success',$home));
        }
    }
}
