<?php

namespace App\Http\Controllers\Api\User;

use App\Http\Controllers\Interface_directory\Api\User\AuthRepositoryInterface;
use App\Http\Controllers\Interface_directory\Api\User\HomeRepositoryInterface;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;

class HomeController extends Controller
{
    protected $homeRepository;
    protected $authRepository;
    public function __construct(HomeRepositoryInterface $homeRepository, AuthRepositoryInterface $authRepository)
    {
        $this->homeRepository = $homeRepository;
        $this->authRepository = $authRepository;
    }

    public function home(Request $request)
    {
        $validator = Validator::make($request->all(),[
            'code' => 'required|exists:countries,code',
            'token' => 'required',
            'device_token' => 'required',
        ]);

        if($validator->fails())
            return response()->json(['status'=> 401, 'msg'=> $validator->messages()]);

        if($this->authRepository->checkJWT($request->header('jwt')))
        {
            $home = $this->homeRepository->home($request->header(),$request);
            return response()->json(msgdata($request,success(),'success',$home));
        }
        else return response()->json(msg($request, jwt(), 'invalid_data'));
    }
}
