<?php
/**
 * Created by PhpStorm.
 * User: Al Mohands
 * Date: 09/07/2019
 * Time: 10:52 ص
 */

namespace App\Http\Controllers\Eloquent\Admin;


use App\Http\Controllers\Interface_directory\Admin\TripRepositoryInterface;
use App\Models\Trip;
use App\Models\User;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;

class TripRepository implements TripRepositoryInterface
{
    public function index()
    {
        $trips = Trip::with(['user','driver','tripPath'])->latest()->get()->groupBy(function($item)
        {
            return $item->created_at;
        });
        $trips_array = [];
        foreach ($trips as $key => $trips_data){
            $trips_array[$key]['trips'] = $trips_data;
            $sum = 0;
            foreach ($trips_data as $trip){
                $sum += $trip->total;
            }
            $trips_array[$key]['sum'] = $sum;
        }

//        dd($trips);
        return $trips_array;
//        return Trip::with(['user','driver','tripPath'])->latest()->paginate(10);
    }

    public function view($id)
    {
        return Trip::where('id',$id)->with(['user','driver'])->first();
    }

    public function search($input)
    {
        $search = Input::get('search');
        $arr_search = [
            'search' => $search,
            'select_from' => $input->from,
            'select_to' => $input->to,
            'select_service_type' => $input->service_type,
        ];
        Session::put('search_results',$arr_search);

        $get_trips = new Trip();

        $trips = $get_trips->search($arr_search);

        return $trips;
    }

    public function export()
    {
        $orders = Trip::all();

        foreach ($orders as $order)
        {
            if($order->order_action==0) $order_action = 'Open';
            elseif($order->order_action==1) $order_action = 'Completed';
            elseif($order->order_action==2) $order_action = 'Canceled';
            elseif($order->order_action==3) $order_action = 'Rejected';

            $order['order_action'] = $order_action;
            $order['created_date'] = $order->created_at['date'];
            $order['created_time'] = $order->created_at['time'];
            $order['category'] = Category::where('id',$order->cat_id)->select('en_name')->first()->en_name;
            $order['user_name'] = User::where('id',$order->user_id)->select('name')->first()->name;
            $order['worker_name'] = isset($order->worker_id) ?
                Worker::where('id',$order->worker_id)->select('name')->first()->name : '';

            unset($order->cat_id,$order->user_id,$order->worker_id,$order->lat,$order->lng,$order->deleted_at,$order->created_at,$order->updated_at);
        }
        if($orders->count() > 0)
        {
            $orders = $orders->toArray();

            $filename = 'jaz_orders_invoice.xls';

            header("Content-Disposition: attachment; filename=\"$filename\"");
            header("Content-Type: application/vnd.ms-excel");

            $heads = false;
            foreach($orders as $order)
            {
                if($heads == false)
                {
                    echo implode("\t", array_keys($order)) . "\n";
                    $heads = true;
                }
                {
                    echo implode("\t", array_values($order)) . "\n";
                }
            }

            die();
        }
        else
        {
            return redirect('/admin/orders/')->with('error', 'No Result !');
        }
    }
}
