<?php
/**
 * Created by PhpStorm.
 * User: Al Mohands
 * Date: 17/09/2019
 * Time: 02:22 م
 */

namespace App\Http\Controllers\Eloquent\Api\App;


use App\Http\Controllers\Interface_directory\Api\App\AppRepositoryInterface;
use App\Models\Car;
use App\Models\Driver;
use App\Models\DriverCar;
use App\Models\DriverNotify;
use App\Models\Message;
use App\Models\Notify;
use App\Models\Trip;
use App\Models\User;
use App\Models\UserNotify;

class AppRepository implements AppRepositoryInterface
{
    public function sendMessage($input,$lang)
    {
        $message = Message::create([
            'user_id' => $input->user_id,
            'driver_id' => $input->driver_id,
            'body' => $input->body,
            'sent' => $input->sent
        ]);
        $ar_message = 'رسالة جديدة.';
        $en_message = 'New Message.';

        $user_image = User::where('id',$input->user_id)->select('image')->first()->image;
        $driver_image = Driver::where('id',$input->driver_id)->select('image')->first()->image;

        if($input->sent == 'user')
        {
            DriverNotify::create([
                'driver_id' => $input->driver_id,
                'en' => ['name' => $en_message],
                'ar' => ['name' => $ar_message]
            ]);
            $token = Driver::where('id',$input->driver_id)->pluck('token');
            Notify::send($token, 'message', $lang == 'ar' ? $ar_message : $en_message, '', '',
                $input->driver_id,$input->user_id,$input->body,$input->sent,$message->created_at,$user_image,$driver_image);
        }else{
//            UserNotify::create([
//                'user_id' => $input->user_id,
//                'en' => ['name' => $en_message],
//                'ar' => ['name' => $ar_message]
//            ]);
            $user_notification = new UserNotify();
            $user_notification->user_id = $input->user_id;
            $user_notification->save();
            $user_notification->translateOrNew('ar')->name = $ar_message;
            $user_notification->translateOrNew('en')->name = $en_message;
            $user_notification->save();

            $token = User::where('id',$input->user_id)->pluck('token');
            Notify::send($token, 'message', $lang == 'ar' ? $ar_message : $en_message, '', '',
                $input->driver_id,$input->user_id,$input->body,$input->sent,$message->created_at,$user_image,$driver_image);
        }
        unset($message->created_at,$message->updated_at);
        return $message;
    }

    public function getChat($input)
    {
        $messages = Message::where('user_id',$input->user_id)->where('driver_id',$input->driver_id)
            ->select('id','user_id','driver_id','body','sent','created_at')->get();
        foreach ($messages as $message)
        {
            $message['user_image'] = User::where('id',$message->user_id)->select('image')->first()->image;
            $message['driver_image'] = Driver::where('id',$message->driver_id)->select('image')->first()->image;
        }
        return $messages;
    }

    public function rate($input)
    {
        $trip = Trip::where('id',$input->trip_id)->select('id','rate','feedback')->first();

        if($input->type == 'user')
        {
            if($trip->rate['user'] == 0)
            {
                $trip->update([
                    'rate' => collect(['user' => $input->rate,'driver' => $trip->rate['driver']]),
                    'feedback' => collect(['user' => $input->feedback,'driver' => $trip->feedback['driver']]),
                ]);
                return true;
            }
            else
                return false;
        }else{
            if($trip->rate['driver'] == 0)
            {
                $trip->update([
                    'rate' => collect(['user' => $trip->rate['user'],'driver' => $input->rate]),
                    'feedback' => collect(['user' => $trip->feedback['user'],'driver' => $input->feedback]),
                ]);
                return true;
            }
            else
                return false;
        }
    }

    public function getDetailTrip($input)
    {
        $trip = Trip::where('id',$input->trip_id)->with(['user','tripPath','tripStatus'])->first();
//         dd($trip);
        $data = $trip;
        if($trip->driver_id != null)
        {
            $driver = Driver::where('id',$trip->driver_id)->select('id','name','phone','image','rate','car_id')->first();
            $driver_car = DriverCar::where('driver_id',$driver->id)->first();
            $car_image = Car::where('id',$driver->car_id)->select('image')->first();

            $data['driver'] = $driver;
            $data['driver']['model'] = $driver_car->model;
            $data['driver']['color'] = $driver_car->color;
            $data['driver']['plat_number'] = $driver_car->plat_number;
            $data['driver']['car_image'] = $car_image->image;
        }
        return $data;
    }
}