<?php
/**
 * Created by PhpStorm.
 * User: Al Mohands
 * Date: 01/09/2019
 * Time: 02:20 م
 */

namespace App\Http\Controllers\Eloquent\Api\User;


use App\Http\Controllers\Interface_directory\Api\User\HomeRepositoryInterface;
use App\Models\Car;
use App\Models\Country;
use App\Models\Driver;
use App\Models\Promo;
use App\Models\PromoUsed;
use App\Models\ServiceCar;
use App\Models\Trip;
use App\Models\TripActiveRequest;
use App\Models\TripStatus;
use App\Models\User;
use Carbon\Carbon;

class HomeRepository implements HomeRepositoryInterface
{
    public function home($header,$input)
    {
        app()->setLocale($header['lang'][0]);
        $data = [];
        $country = Country::where('code',$input->code)->select('id','code')->first();
        $cars_array=array();
        $cars = Car::where('country_id',$country->id)->with(['translation'=>function($query)use($header){
            $query->where('locale',$header['lang'][0]);
        }])->select('id','price','image','city_id')->whereHas('serviceCar')->get()->groupBy('city_id');
       $i=0;
        foreach($cars as $key=>$car){
            foreach ($car as $c){
           if($car[$i]->id!=$car[$i+1]->id) {
               array_push($cars_array, $c);
           }
           }
           continue;
       }
        $service_cars = ServiceCar::where('country_id',$country->id)->select('start','wait','minimum_fare','service_fees')->first();
        if(isset($header['jwt'][0])) {
            $jwt=$header['jwt'][0];
        }
        else{
            $jwt=null;
        }
        $user = User::where('jwt', $jwt)->orWhere('phone',$input->code. $input->phone)->select('id', 'jwt', 'name', 'phone', 'email', 'payment_type', 'wallet_amount', 'rate', 'token', 'device_token', 'image')->first();
        if($user) {
            $user->update([
               'token' => $input->token,
               'device_token' => $input->device_token,
            ]);
            $user['code']=$input->code;
            $user['country_id']=$country->id;

            $trip = Trip::where('user_id', $user->id)->where('order_action', 0)->select('id', 'driver_id','created_at')->first();
            if ($trip != null) {
                $trip_active = TripActiveRequest::where('trip_id',$trip->id)->where('driver_status',1)->first();
                if($trip_active)
                {
                    $data['trip'] = $trip;
                }
                if ($trip->driver_id != null) {
                    $driver = Driver::where('id', $trip->driver_id)->select('id', 'name', 'phone', 'image')->with('driverCar')->first();
                    $trip_status = TripStatus::where('trip_id', $trip->id)->select('status_id')->with('status')->latest()->first();

                    $data['driver'] = $driver;
                    $data['trip_status'] = $trip_status;
                }
            }

            $promo_user = PromoUsed::where('user_id',$user->id)->pluck('promo_id');
            if($promo_user)
            {
                $promo = Promo::whereIn('id',$promo_user)->where('start_date','<=',Carbon::now())->where('end_date','>=',Carbon::now())->first();
                if($promo) {
                    $data['promo'] = 1;
                    $data['data_promo'] = $promo;

                }
                else $data['promo'] = 0;
            }
        }

        $data['country'] = $country;
        $data['cars'] = $cars_array;
        $data['service_cars'] = $service_cars;
        $data['user'] = $user;

        return $data;
    }
}
