<?php
/**
 * Created by PhpStorm.
 * User: Al Mohands
 * Date: 03/09/2019
 * Time: 09:52 ص
 */

namespace App\Http\Controllers\Eloquent\Api\User;


use App\Http\Controllers\Interface_directory\Api\User\TripRepositoryInterface;
use App\Models\Driver;
use App\Models\DriverNotify;
use App\Models\Message;
use App\Models\Notify;
use App\Models\Trip;
use App\Models\TripActiveRequest;
use App\Models\TripPath;
use App\Models\TripStatus;
use App\Models\User;
use Carbon\Carbon;

class TripRepository implements TripRepositoryInterface
{
    public function searchDriverCreateTrip($input,$lang)
    {
//        return getCityLocation($input->lat[0],$input->lng[0]);

        if($input->type == 'scheduled')
        {
            $trip=$this->createTrip($input);

            return $trip->id;

        }else {
            //already trip created
            $trip = Trip::where('user_id', $input->user_id)->where('order_action', 0)->where('driver_id', null)->first();
            if ($trip) {
                $trip->car_id = $input->car_id;
                $trip->save();
                $filter_trip = TripPath::filterbylatlng($input->lat[0], $input->lng[0], 50, 'drivers', $input->car_id);
                $filter_home_trip = TripPath::filterhomebylatlng($input->lat[0], $input->lng[0],$input->lat[1], $input->lng[1], 20, 'drivers', $input->car_id);
                $filter_trip = $filter_trip->merge($filter_home_trip);
                if (count($filter_trip) > 0) {
                    foreach ($filter_trip as $filter) {
                        $trip_active_request = TripActiveRequest::where('trip_id', $trip->id)->where('driver_id', $filter->id)
                            ->where('driver_status', 0)->where('time_out', '>=', Carbon::now())->get();

                            $ar_message = 'لديك طلب رحلة جديد,الرجاء الإستجابة';
                            $en_message = 'You have a new trip request,please respond';
                            $send_driver = [];
                        foreach ($trip_active_request as $active_request) {
                            if($active_request->driver_id != $filter->id)
                            {
                                array_push($send_driver,$filter->id);
                                foreach ($send_driver as $driver_id)
                                {
                                    DriverNotify::create([
                                        'driver_id' => $driver_id,
                                        'trip_id' => $trip->id,
                                        'en' => ['name' => $en_message],
                                        'ar' => ['name' => $ar_message]
                                    ]);

                                    TripActiveRequest::create([
                                        'driver_id' => $driver_id,
                                        'trip_id' => $trip->id,
                                        'time_out' => Carbon::now()->addMinutes(2)
                                    ]);

                                    $driver_token = Driver::where('id', $driver_id)->pluck('token')->toArray();
                                    Notify::send($driver_token, 'trip', $lang == 'ar' ? $ar_message : $en_message, '', $trip->id, $driver_id);
                                }
                            }
                        }
                    }
                    return $trip->id;

                }
                else return 'no_drivers';
            } else {

                $filter_trip = TripPath::filterbylatlng($input->lat[0], $input->lng[0], 50, 'drivers', $input->car_id);
                if (count($filter_trip) > 0) {
                    $trip = $this->createTrip($input);

                    $ar_message = 'لديك طلب رحلة جديد,الرجاء الإستجابة';
                    $en_message = 'You have a new trip request,please respond';

                    foreach ($filter_trip as $filter) {
                        DriverNotify::create([
                            'driver_id' => $filter->id,
                            'trip_id' => $trip->id,
                            'en' => ['name' => $en_message],
                            'ar' => ['name' => $ar_message]
                        ]);

                        $active_request = TripActiveRequest::where('trip_id', $trip->id)->first();

                        if ($active_request->driver_id == null) {
                            $active_request->update([
                                'driver_id' => $filter->id,
                                'time_out' => Carbon::now()->addMinutes(2)
                            ]);
                        } else {
                            TripActiveRequest::create([
                                'driver_id' => $filter->id,
                                'trip_id' => $trip->id,
                                'time_out' => Carbon::now()->addMinutes(2)
                            ]);
                        }

                        $driver_token = Driver::where('id', $filter->id)->pluck('token')->toArray();
                        Notify::send($driver_token, 'trip', $lang == 'ar' ? $ar_message : $en_message, '', $trip->id, $filter->id);
                    }
                    return $trip->id;

                }

                else return 'no_drivers';

            }
        }
    }

    public function scheduledTrip()
    {
        $trips = Trip::where('type','scheduled')->where('order_action',0)
            ->where('date', Carbon::now()->format('Y-m-d'))->where('time', Carbon::now()->format('H:i'))->get();
        
        if($trips)
        {
            foreach ($trips as $trip)
            {
                $trip_path = TripPath::where('trip_id',$trip->id)->where('type','pick_up')->first();
                $filter_trip = TripPath::filterbylatlng($trip_path->lat, $trip_path->lng, 50, 'drivers', $trip->car_id);
                if (count($filter_trip) > 0)
                {
                    foreach ($filter_trip as $filter)
                    {
                        $ar_message = 'لديك طلب رحلة جديد,الرجاء الإستجابة';
                        $en_message = 'You have a new trip request,please respond';

                        DriverNotify::create([
                            'driver_id' => $filter->id,
                            'trip_id' => $trip->id,
                            'en' => ['name' => $en_message],
                            'ar' => ['name' => $ar_message]
                        ]);

                        TripActiveRequest::create([
                            'driver_id' => $filter->id,
                            'trip_id' => $trip->id,
                            'time_out' => Carbon::now()->addMinutes(2)
                        ]);

                        $driver_token = Driver::where('id', $filter->id)->pluck('token');
                        Notify::send($driver_token, 'trip', $en_message, '', $trip->id, $filter->id);
                    }
                    return 'success';
                }
                else return 'no_drivers';

            }

        }
    }

    public function createTrip($input)
    {
        $type = ['pick_up','where_to','where_second','where_third','end_trip'];

        $trip = Trip::create([
            'type' => $input->type,
            'car_id' => $input->car_id,
            'user_id' => $input->user_id,
            'date' => $input->date,
            'time' => $input->time,
            'google_distance' => $input->google_distance
        ]);

        for($i=0;$i<count($input->address);$i++)
        {
            TripPath::create([
                'trip_id' => $trip->id,
                'type' => $type[$i],
                'address' => $input->address[$i],
                'lat' => $input->lat[$i],
                'lng' => $input->lng[$i],
            ]);
        }

        TripActiveRequest::create([
            'trip_id' => $trip->id
        ]);
        TripStatus::create([
            'trip_id' => $trip->id,
            'status_id' => 0
        ]);

        return $trip;
    }

    public function  tripHistory($input)
    {
        $trips = Trip::where('user_id', $input->user_id)->where('order_action',1)->orWhere('type','scheduled')->select('id','type','rate','total','order_action','created_at')->get();
        foreach ($trips as $trip)
        {
            $trip['rate'] = $trip->rate['user'];
            $pick_up = TripPath::where('trip_id',$trip->id)->where('type','pick_up')->select('address')->first();
            $where_to = TripPath::where('trip_id',$trip->id)->where('type','where_to')->select('address')->first();
            $end_trip = TripPath::where('trip_id',$trip->id)->where('type','end_trip')->select('address')->first();
            if($pick_up)
            {
                $trip['pickup_address'] = $pick_up->address;
                if($trip->type == 'urgent')
                    $trip['endtrip_address'] = $end_trip->address;
                else
                    $trip['endtrip_address'] = $where_to->address;
            }
        }

        return $trips;
    }

    public function cancelTrip($input,$lang)
    {
        $trip = Trip::where('id',$input->trip_id)->where('user_id',$input->user_id)->first();
        $trip->order_action = 2;
        $trip->save();

        if($trip->driver_id != null)
        {
            Driver::where('id',$trip->driver_id)->update(['status' => 0]);

            $ar_message = 'قام المستخدم بالغاء الطلب.';
            $en_message = 'User cancel the order';

            DriverNotify::create([
                'driver_id' => $trip->driver_id,
                'trip_id' => $input->trip_id,
                'en' => ['name' => $en_message],
                'ar' => ['name' => $ar_message]
            ]);

            $driver_token = Driver::where('id',$trip->driver_id)->pluck('token');
            Notify::send($driver_token, 'canceled', $lang == 'ar' ? $ar_message : $en_message, '', $input->trip_id, $trip->driver_id);
        }
        return true;
    }

}
