<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Car extends Model
{
    protected $fillable = [
        'country_id','city_id','price','image'
    ];
//    public function carByLang($country_id,$lang)
//    {
//        return CarTranslation::where('country_id',$country_id)->where('locale',$lang)->get();
//    }

    public function translation()
    {
        return $this->hasOne(CarTranslation::class)->select( 'car_id', 'name','description');
    }
    public function country()
    {
        return $this->belongsTo(Country::class);
    }
    public function city()
    {
        return $this->belongsTo(City::class);
    }

    public function carTrans()
    {
        return $this->hasMany(CarTranslation::class)->select( 'car_id', 'name','description');
    }
    public function serviceCar(){
        return $this->hasMany(ServiceCar::class,'car_id','id');
    }

    public function setImageAttribute($value)
    {
        $img_name = time().uniqid().'.'.$value->getClientOriginalExtension();
        $value->move(public_path('/images/cars/'),$img_name);
        $this->attributes['image'] = $img_name ;
    }

    public function getImageAttribute($value)
    {
        return asset('public/images/cars/'.$value);
    }
}
