<?php

namespace App\Models;

use \Dimsav\Translatable\Translatable;
use Illuminate\Database\Eloquent\Model;

class City extends Model
{
    use Translatable;

    public $translatedAttributes = ['name'];
    protected $fillable = ['code','active','country_id'];

    public function translation()
    {
        return $this->hasMany(CityTranslation::class,'city_id');
    }

    public function cityByLang($lang)
    {
        return CityTranslation::where('locale',$lang)->get();
    }

    public function country()
    {
        return $this->belongsTo(Country::class,'country_id');
    }


}
