<?php

namespace App\Models;

use \Dimsav\Translatable\Translatable;
use Illuminate\Database\Eloquent\Model;

class Country extends Model
{
    use Translatable;

    public $translatedAttributes = ['name'];
    protected $fillable = ['code','active'];

    public function translation()
    {
        return $this->hasMany(CountryTranslation::class,'country_id');
    }
    public function countryByLang($lang)
    {
        return CountryTranslation::where('locale',$lang)->get();
    }
}
