<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Driver extends Model
{
    protected $fillable = [
        'jwt','active','name','phone','email','password','car_id','country_id','accept','rate','status',
        'available','finished','count','lat','lng','token','image',
    ];

    public function driverCar()
    {
        return $this->hasOne(DriverCar::class)->select('id','driver_id','model','color','plat_number','image','id_image','driving_license_image','car_license_image');
    }

    public function car()
    {
        return $this->belongsTo(Car::class,'car_id');
    }

    public function country()
    {
        return $this->belongsTo(Country::class,'country_id');
    }

    public function trips()
    {
        return $this->hasMany(Trip::class,'driver_id');
    }

    public function setImageAttribute($value)
    {
        $img_name = time().uniqid().'.'.$value->getClientOriginalExtension();
        $value->move(public_path('/images/drivers/'),$img_name);
        $this->attributes['image'] = $img_name ;
    }

    public function getImageAttribute($value)
    {
        if($value)
            return asset('public/images/drivers/'.$value);
        else
            return asset('public/images/drivers/default.png');
    }
}
