<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PartnerRequest extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'accept','name','email','phone','tax','national','commercial'
    ];

    public function setTaxAttribute($value)
    {
        $img_name = time().uniqid().'.'.$value->getClientOriginalExtension();
        $value->move(public_path('/partner_requests/tax/'),$img_name);
        $this->attributes['tax'] = $img_name ;
    }

    public function getTaxAttribute($value)
    {
        return asset('public/partner_requests/tax/'.$value);
    }
    ////////////
    public function setNationalAttribute($value)
    {
        $img_name = time().uniqid().'.'.$value->getClientOriginalExtension();
        $value->move(public_path('/partner_requests/national/'),$img_name);
        $this->attributes['national'] = $img_name ;
    }

    public function getNationalAttribute($value)
    {
        return asset('public/partner_requests/national/'.$value);
    }
    ////////////
    public function setCommercialAttribute($value)
    {
        $img_name = time().uniqid().'.'.$value->getClientOriginalExtension();
        $value->move(public_path('/partner_requests/commercial/'),$img_name);
        $this->attributes['commercial'] = $img_name ;
    }

    public function getCommercialAttribute($value)
    {
        return asset('public/partner_requests/commercial/'.$value);
    }

}
