<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class RushHourPeriod extends Model
{
    protected $fillable = [
        'country_id','from','to'
    ];

    public function country()
    {
        return $this->belongsTo(Country::class);
    }

    public function getFromAttribute()
    {
        return Carbon::parse($this->attributes['from'])->format('H:i');
    }
    public function getToAttribute()
    {
        return Carbon::parse($this->attributes['to'])->format('H:i');
    }
}
