<?php

namespace App\Models;

use Carbon\Carbon;
use Dimsav\Translatable\Translatable;
use Illuminate\Database\Eloquent\Model;

class UserNotify extends Model
{
    use Translatable;

    public $translatedAttributes = ['name'];

    protected $fillable = ['user_id','trip_id'];

    protected $hidden = ['translations'];

    public function notify()
    {
        return $this->hasOne(UserNotifyTranslation::class,'user_notify_id')->select('user_notify_id','name');
    }

    public function getCreatedAtAttribute()
    {
        return Carbon::parse($this->attributes['created_at'])->diffForHumans();
    }
}
