               @extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('cars.services')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('cars.ServicesForCars')}}</li>
                                <li class="breadcrumb-item active"></li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
                                

        <div class="container-fluid">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-block row">
                        <div class="col-sm-12 col-lg-12 col-xl-12">
                      
                <form class="form-horizontal" method="post" action="{{route('cars.update',$car->id)}}" enctype="multipart/form-data">
                    {{csrf_field()}}
                    @method('patch')
                    <div class="modal-body">
                
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('cars.price')}}</label>
                            <div class="col-lg-12">
                                <input name="price" type="number" placeholder="{{trans('cars.Price')}}" class="form-control btn-square" value="{{$car->price}}" required>
                            </div>
                        </div>
                        
                         <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('cars.Country')}}</label>

                        <select class="form-control field" data-type="select" id="country_id" name="country_id">
                            <option label="Select"></option>
                            @foreach($countries as $country)
                                <option value="{{$country->id}}" @if($car->country_id==$country->id) selected @endif>{{$country->name}}</option>
                            @endforeach
                        </select><br>
                        <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                left
@endif" for="textinput">{{trans('city.allcity')}}</label>

                        <select class="form-control field " data-type="select" name="city_id" id="city_id">
                            <option value="" disabled selected>{{trans('city.allcity')}}</option>
                            @foreach($cities as  $city)
                                <option value="{{$city->id}}" @if($car->city_id==$city->id) selected @endif>{{$city->name}}</option>

                            @endforeach
                        </select>
                        <br>


                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('cars.NameInEnglish')}}</label>
                            <div class="col-lg-12">
                                <input  name="en[name]" type="text" placeholder="{{trans('cars.NameInEnglish')}}" class="form-control btn-square" value="{{$car->carTrans[1]->name}}" required>
                            </div>
                        </div>


                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('cars.NameInArabic')}}</label>
                            <div class="col-lg-12">
                                <input  name="ar[name]" value="{{$car->carTrans[0]->name}}" type="text" placeholder="{{trans('cars.NameInArabic')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                        
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="passwordinput">{{trans('cars.DescriptionInEnglish')}}</label>
                            <div class="col-lg-12">
                                <textarea name="en[description]"  placeholder="{{trans('cars.DescriptionInEnglish')}}" class="form-control btn-square" required>{{$car->carTrans[1]->description}}</textarea>
                            </div>
                        </div>
                        
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="passwordinput">{{trans('cars.DescriptionInArabic')}}</label>
                            <div class="col-lg-12">
                                <textarea name="ar[description]" placeholder="{{trans('cars.DescriptionInArabic')}}" class="form-control btn-square" required>{{$car->carTrans[0]->description}}</textarea>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('cars.Image')}}</label>
                            <div class="col-lg-12">
                                <input id="inputImage" type="file" name="image" accept=".jpg,.jpeg,.png,.gif,.bmp,.tiff">
                            </div>
                        </div>



                    </div>
                    <div class="modal-footer">
                        <button type="reset" class="btn btn-dark" data-dismiss="modal">{{trans('cars.close')}}</button>
                        <button class="btn btn-primary">{{trans('cars.save')}}</button>
                    </div>
                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>

    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
    <script>
        $(document).on('change','#country_id', function(e) {
            var country_id = $("#country_id").val();
            //console.log(country_id);
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                type: "POST",
                url: "{{URL::route('getCities')}}",
                data: {
                    country_id: country_id,
                    "_token": "{{ csrf_token() }}"
                },
                success: function(response){
//console.log(response);
                    $("#city_id").empty();
                    $("#car_id").empty();
                    if(response.length > 0){
                        $('#city_id').append('<option disabled selected>Select - اختر</option>');
                        $.each(response,function(key,value){
                            if(value.name !=null)
                                $("#city_id").append('<option value="'+value.id+'" >'+value.name+'</option>');
                        });
                    }

                    //console.log(response);
                    //location.reload();
                    // if (response.success){
                    //     toastr.success(response.success);
                    // }else if(response.warning){
                    //     toastr.warning(response.warning);
                    // }else{
                    //     toastr.error(response.error);
                    // }
                },
                error: function(jqXHR){
                    // toastr.error(jqXHR.responseJSON.message);
                }
            });
        });
    </script>

@endsection
