@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('cars.cars')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('cars.allcars')}}</li>
                                <li class="breadcrumb-item active"></li>

                            </ol>
                            <div class="row" >
                                <div class="col-lg-5">
                                    <select class="form-control " data-type="select" id="country_id" name="country_id">
                                        <option value="" disabled selected id="country_id">{{trans('country.allcountries')}}</option>
                                        @foreach($countries as $country)
                                            <option value="{{$country->id}}">{{$country->name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="col-lg-5">
                                    <select class="form-control " data-type="select" name="city_id" id="city_id">
                                        <option value="" disabled selected>{{trans('city.allcity')}}</option>
                                    </select>
                                </div>
                                <div class="col-lg-2">
                                    <button type="button" class=" btn btn-success" id="SearchCars" style="font-size:x-small">
                                        {{trans('cars.search')}}
                                    </button>
                                </div>
                            </div>
                        </div>
   @if(request()->segment(1)=='ar')<div style="float: left">
                                                                            @else
                                                                           <div style="float: right">
                                                                            @endif
                            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"><i class="icon-plus"></i> {{trans('cars.addcar')}} </button>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')


        <div class="container-fluid">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-block row">
                        <div class="col-sm-12 col-lg-12 col-xl-12">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead class="thead-dark">
                                    <tr>
                                        <th scope="col">{{trans('cars.Id')}}</th>
                                        <th scope="col">{{trans('cars.price')}}</th>
                                        <th scope="col">{{trans('cars.Image')}}</th>
                                        <th scope="col">{{trans('cars.name')}}</th>
                                        <th scope="col">{{trans('cars.Description')}}</th>
                                        <th scope="col">{{trans('country.country')}}</th>
                                        <th scope="col">{{trans('city.city')}}</th>
{{--                                        <th>{{trans('cars.Actions')}}</th>--}}
                                    </tr>
                                    </thead>
                                    <tbody id="tbl-body-data">
                                    @foreach($cars as $car)
                                        <tr>
                                            <td>
                                                <a href="{{route('cars.edit',$car->id)}}" title="{{trans('cars.edit')}}" class="buttons">{{$car->id}}</a>
                                            </td>
                                            <td>{{$car->price}}</td>
                                            <td><img src="{{$car->image}}" class="image_radius"></td>
                                            <td>{{isset($car->translation->name) ? $car->translation->name : ''}}</td>
                                            <td>{{isset($car->translation->description) ? $car->translation->description :'-'}}</td>
                                            <td>{{$car->country->name}}</td>
                                            <td>{{$car->city->name}}</td>

{{--                                            <td>--}}
{{--                                                <a href="{{route('cars.edit',$car->id)}}" title="{{trans('cars.edit')}}" class="buttons"><button class="btn btn-dark btn-condensed"><i class="fa fa-edit"></i></button></a>--}}
{{--                                            </td>--}}
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">{{trans('cars.AddNewService')}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="form-horizontal" method="post" action="{{route('cars.store')}}" enctype="multipart/form-data">
                    {{csrf_field()}}
                    <div class="modal-body">



                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('cars.price')}}</label>
                            <div class="col-lg-12">
                                <input name="price" type="number" placeholder="{{trans('cars.price')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                         <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('cars.Country')}}</label>

                        <select class="form-control field" data-type="select" id="country_id" name="country_id">
                            <option label="Select"></option>
                            @foreach($countries as $country)
                                <option value="{{$country->id}}" >{{$country->name}}</option>
                            @endforeach
                        </select><br>
                        <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                left
@endif" for="textinput">{{trans('city.allcity')}}</label>

                        <select class="form-control field " data-type="select" name="city_id" id="city_id">
                            <option value="" disabled selected>{{trans('city.allcity')}}</option>
                            @foreach($cities as  $city)
                                <option value="{{$city->id}}" >{{$city->name}}</option>

                            @endforeach
                        </select>
                        <br>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('cars.NameInEnglish')}}</label>
                            <div class="col-lg-12">
                                <input  name="en[name]" type="text" placeholder="{{trans('cars.NameInEnglish')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                         <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('cars.NameInArabic')}}</label>
                            <div class="col-lg-12">
                                <input  name="ar[name]" type="text" placeholder="{{trans('cars.NameInArabic')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="passwordinput">{{trans('cars.DescriptionInEnglish')}}</label>
                            <div class="col-lg-12">
                                <textarea name="en[description]"  placeholder="{{trans('cars.DescriptionInEnglish')}}" class="form-control btn-square" required></textarea>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="passwordinput">{{trans('cars.DescriptionInArabic')}}</label>
                            <div class="col-lg-12">
                                <textarea name="ar[description]"  placeholder="{{trans('cars.DescriptionInArabic')}}" class="form-control btn-square" required></textarea>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('cars.Image')}}</label>
                            <div class="col-lg-12">
                                <input id="inputImage" type="file" name="image" accept=".jpg,.jpeg,.png,.gif,.bmp,.tiff">
                            </div>
                        </div>






                    </div>
                         @if(request()->segment(1)=='ar')
      <div class="modal-footer" style="direction:ltr">

    @else
         <div class="modal-footer" style="direction:rtl;">

        @endif

                        <button type="reset" class="btn btn-dark" data-dismiss="modal" style="margin-left:10px;">{{trans('admin.close')}}</button>
                        <button class="btn btn-primary">{{trans('admin.save')}}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

        <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
        <script>
            $(document).on('change','#country_id', function(e) {
                var country_id = $("#country_id").val();
                //console.log(country_id);
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                $.ajax({
                    type: "POST",
                    url: "{{URL::route('getCities')}}",
                    data: {
                        country_id: country_id,
                        "_token": "{{ csrf_token() }}"
                    },
                    success: function(response){
//console.log(response);
                        $("#city_id").empty();
                        if(response.length > 0){
                            $.each(response,function(key,value){
                                if(value.name !=null)
                                    $("#city_id").append('<option value="'+value.id+'" >'+value.name+'</option>');
                            });
                        }

                        //console.log(response);
                        //location.reload();
                        // if (response.success){
                        //     toastr.success(response.success);
                        // }else if(response.warning){
                        //     toastr.warning(response.warning);
                        // }else{
                        //     toastr.error(response.error);
                        // }
                    },
                    error: function(jqXHR){
                        // toastr.error(jqXHR.responseJSON.message);
                    }
                });
            });
        </script>
        <script>
            $(document).on('click','#SearchCars', function(e) {

                var country_id = $("#country_id").val();
                var city_id = $("#city_id").val();
                //console.log(country_id);
                //console.log(city_id);
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                $.ajax({
                    type: "POST",
                    url: "{{URL::route('getCars')}}",
                    data: {
                        country_id: country_id,
                        city_id: city_id,
                        "_token": "{{ csrf_token() }}"
                    },
                    success: function(response){
                        //console.log(response);
                        if(response.length > 0){
                            $("#tbl-body-data").empty();
                            tableBodyData(response);
                        }


                        //location.reload();
                        // if (response.success){
                        //     toastr.success(response.success);
                        // }else if(response.warning){
                        //     toastr.warning(response.warning);
                        // }else{
                        //     toastr.error(response.error);
                        // }
                    },
                    error: function(jqXHR){
                        // toastr.error(jqXHR.responseJSON.message);
                    }
                });
            });
            function tableBodyData(response){

                $.each(response,function(key,value){
                    var url = "{{asset('ar/admin/cars')}}"+'/'+value.id ;

                    var newRow='<tr>\n' +
                        '                                            <td>\n' +
                        '                                                <a href='+url+' title="{{trans('cars.edit')}}" class="buttons">'+value.id+'</a>\n' +
                        '                                            </td>\n' +
                        '                                            <td>'+value.price+'</td>\n' +
                        '                                            <td><img src="'+value.image+'" class="image_radius"></td>\n' +
                        '                                            <td>'+value.translation.name+'</td>\n' +
                        '                                            <td>'+value.translation.description+'</td>\n' +
                        '                                            <td>'+value.country_name+'</td>\n' +
                        '                                            <td>'+value.city_name+'</td>\n' +
                        '\n' +
                        '\n' +
                        '                                        </tr>';
                    $('#tbl-body-data').append(newRow);
                });
            }
        </script>

@endsection
