@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('country.allcountries')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('country.allcountries')}}</li>
                                <li class="breadcrumb-item active"></li>
                            </ol>
                        </div>

                        @if(request()->segment(1)=='ar')<div style="float: left">
                                                                            @else
                                                                           <div style="float: right">
                                                                            @endif
                            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"><i class="icon-plus"></i>{{trans('country.addnewcountry')}}  </button>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
                                

        <div class="container-fluid">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-block row">
                        <div class="col-sm-12 col-lg-12 col-xl-12">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead class="thead-dark">
                                    <tr>
                                        <th scope="col">{{trans('country.id')}}</th>
                                        <th scope="col">{{trans('country.Code')}}</th>
                                        <th scope="col">{{trans('country.Name')}}</th>
                                        <th scope="col">{{trans('country.status')}}</th>
{{--                                        <th>{{trans('country.actions')}}</th>--}}
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($countries as $country)
                                        <tr>
                                            <td>
                                                <a href="{{route('countries.edit',$country->id)}}" title="Edit" class="buttons">{{$country->id}}</a>
                                            </td>
                                            <td>{{$country->code}}</td>
                                            <td>{{$country->name}}</td>
                                            <td>
                                                {{--                                        <a href="{{route('editCountryStatus',$c->id)}}">--}}
                                                <div class=" col p-0">
                                                    <div class="media">
                                                        <div class="media-body  icon-state switch-outline">
                                                            <label class="switch">
                                                                <input type="checkbox" id="shop-status" country_id="{{$country->id}}"
                                                                       @if($country->active == 1)  checked @endif><span
                                                                        class="switch-state bg-success"></span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                                {{--                                        </a>--}}
                                            </td>

{{--                                            <td>--}}
{{--                                                <a href="{{route('countries.edit',$country->id)}}" title="Edit" class="buttons"><button class="btn btn-dark btn-condensed"><i class="fa fa-edit"></i></button></a>--}}
{{--                                            </td>--}}
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">{{trans('country.addnewcountry')}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="form-horizontal" method="post" action="{{route('countries.store')}}">
                    {{csrf_field()}}
                    <div class="modal-body">
                  
                        

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('country.Code')}}</label>
                            <div class="col-lg-12">
                                <input name="code" type="text" placeholder="{{trans('country.Code')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                        

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('country.Name')}}</label>
                            <div class="col-lg-12">
                                <input  name="en[name]" type="text" placeholder="{{trans('country.Name')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                        
                         <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('country.NameInArabic')}}</label>
                            <div class="col-lg-12">
                                <input  name="ar[name]" type="text" placeholder="{{trans('country.NameInArabic')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                        




                    </div>
                         @if(request()->segment(1)=='ar')
      <div class="modal-footer" style="direction:ltr">

    @else
         <div class="modal-footer" style="direction:rtl;">

        @endif
                  
                        <button type="reset" class="btn btn-dark" data-dismiss="modal" style="margin-left:10px;">{{trans('admin.close')}}</button>
                        <button class="btn btn-primary">{{trans('admin.save')}}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

        <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
        <script>
            $(document).on('change','#shop-status', function(e) {

                var country_id = $(this).attr('country_id');

                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                $.ajax({
                    type: "POST",
                    url: "{{URL::route('editCountryStatus')}}",
                    data: {
                        country_id: country_id,
                        "_token": "{{ csrf_token() }}"
                    },
                    success: function(response){
                        location.reload();
                        if (response.success){
                            toastr.success(response.success);
                        }else if(response.warning){
                            toastr.warning(response.warning);
                        }else{
                            toastr.error(response.error);
                        }
                    },
                    error: function(jqXHR){
                        toastr.error(jqXHR.responseJSON.message);
                    }
                });
            });
        </script>

@endsection
