@extends('admin.layouts.app')
@section('content')
    <script
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDhnmMC23noePz6DA8iEvO9_yNDGGlEaeM&callback=initMap">
    </script>
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('driver.drivers')}} </h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('driver.drivers')}}</li> &nbsp;
                                <b>( {{sizeof($drivers)}} )</b>
                            </ol>
                        </div>
                            @if(request()->segment(1)=='ar')<div style="float: left">
                                                                            @else
                                                                           <div style="float: right">
                                                                            @endif
                            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"><i class="icon-plus"></i> {{trans('driver.add_user')}} </button>
                        </div>
                    </div>
                </div>


                <div class="card-body">
                    <form class="form-horizontal col-md-8" action="{{route('drivers_search')}}" method="get">
                        <div class="form-row">
                            <div class="input-group">
                                <input type="text" class="form-control" name="search" value="{{isset($search) ? $search : ''}}" placeholder="{{trans('driver.search_with_user')}}" />
                                <button class="btn btn-primary">{{trans('driver.search')}}</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
        <div class="container-fluid">
            <div class="row">
                @foreach($drivers as $driver)
                    <div class="col-md-6 col-lg-6 col-xl-4">
                        <div class="card custom-card">
                            <div class="card-header"><img class="img-fluid" src="{{asset('/admin/assets/images/user-card/8.jpg')}}" alt=""></div>
                            <div class="card-profile"><img class="rounded-circle" src="{{$driver->image}}" alt=""></div>

                            <div class="text-center profile-details">
                                <h4>{{$driver->name}}</h4>
                            </div>
                            <div class="col-md-12 col-lg-12 col-xl-12">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="ttl-info justify-center ">
                                            <h6><i class="fa fa-phone"></i>{{trans('driver.phone')}}</h6><span>{{$driver->phone}}</span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="ttl-info justify-center">
                                            <h6><i class="fa fa-envelope"></i>&nbsp;&nbsp;&nbsp;{{trans('driver.email')}}</h6><span>{{substr($driver->email, 0, 15)}}....</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <br/>
                            <div class="col-md-12 col-lg-12 col-xl-12  ">
                                <div class="row">
                                    <a class="btn btn-dark btn-lg justify-center" href="{{route('driver.show',$driver->id)}}" data-original-title="" title=""><span class="fa fa-info"></span>{{trans('driver.getinfo')}}</a>
                                </div>
                            </div>

                        </div>
                    </div>
                @endforeach
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>

    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                @if(admin()->hasPermissionTo('View driver'))
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">{{trans('driver.add_user')}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                @endif
                <form class="form-horizontal" method="post" action="{{route('driver.store')}}" enctype="multipart/form-data">
                    {{csrf_field()}}
                    <div class="modal-body">

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('driver.name')}}</label>
                            <div class="col-lg-12">
                                <input id="name" name="name" type="text" placeholder="{{trans('driver.name')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                            @include('admin.layouts.error', ['input' => 'name'])

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('driver.email')}}</label>
                            <div class="col-lg-12">
                                <input id="email" name="email" type="email" placeholder="{{trans('driver.email')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                            @include('admin.layouts.error', ['input' => 'email'])

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('driver.phone')}}</label>
                            <div class="col-lg-12">
                                <input id="phone" name="phone" type="number" placeholder="{{trans('driver.phone')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                            @include('admin.layouts.error', ['input' => 'phone'])

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="passwordinput">{{trans('driver.password')}}</label>
                            <div class="col-lg-12">
                                <input id="password" name="password" type="password" placeholder="{{trans('driver.password')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                            @include('admin.layouts.error', ['input' => 'password'])

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif">{{trans('driver.car')}}</label>
                            <div class="col-lg-12">
                                <select class="form-control field" data-type="select" id="car_id" name="car_id" required>
                                    <option selected disabled>{{trans('driver.selectcar')}}</option>
                                    @if(isset($cars))
                                        @foreach($cars as $car)
                                            <option value="{{$car->id}}">{{$car->translation->name}}</option>
                                        @endforeach
                                    @endif
                                </select>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" >{{trans('driver.countries')}}</label>
                            <div class="col-lg-12">
                                <select class="form-control field" data-type="select" name="country_id" required>
                                    @if(isset($countries))
                                        @foreach($countries as $country)
                                            <option value="{{$country->id}}">{{$country->name}}</option>
                                        @endforeach
                                    @endif
                                </select>
                            </div>
                        </div>
                            @include('admin.layouts.error', ['input' => 'country_id'])

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('driver.uploadimage')}}</label>
                            <div class="col-lg-12">
                                <input id="inputImage" type="file" name="image" accept=".jpg,.jpeg,.png,.gif,.bmp,.tiff" required>
                            </div>
                        </div>
                            @include('admin.layouts.error', ['input' => 'image'])

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('driver.carmodel')}}</label>
                            <div class="col-lg-12">
                                <input id="model" name="model" type="text" placeholder="{{trans('driver.carmodel')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                        @include('admin.layouts.error', ['input' => 'model'])

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('driver.carcolor')}}</label>
                            <div class="col-lg-12">
                                <input id="color" name="color" type="text" placeholder="{{trans('driver.carcolor')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                        @include('admin.layouts.error', ['input' => 'color'])

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('driver.PlatNumber')}}</label>
                            <div class="col-lg-12">
                                <input id="plat_number" name="plat_number" type="text" placeholder="{{trans('driver.PlatNumber')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                        @include('admin.layouts.error', ['input' => 'plat_number'])
       @if(request()->segment(1)=='ar')
      <div class="modal-footer" style="direction:ltr">

    @else
         <div class="modal-footer" style="direction:rtl;">

        @endif
                  
                        <button type="reset" class="btn btn-dark" data-dismiss="modal" style="margin-left:10px;">{{trans('admin.close')}}</button>
                        <button class="btn btn-primary">{{trans('admin.save')}}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

@endsection
