@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('notification.notifications')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('notification.sent_box')}}</li>
                                <li class="breadcrumb-item active"></li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Container-fluid starts-->
            @include('admin.layouts.message')


        <!-- Container-fluid starts-->
            <div class="container-fluid">
                <div class="row">
                    <!-- State saving Starts-->
                    <div class="col-sm-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-striped">
                                        <thead>
                                        <tr>
                                            {{--@if(Auth::guard('admin')->user()->can('delete_user'))--}}
                                            {{--                                    <button class="btn btn-square btn-danger" style="float: left; margin-right: 2%;" id="bulk_delete_btn" type="button" title="حذف متعدد">حذف متعدد</button>--}}
                                            {{--@endif--}}
                                            <input type="hidden" name="myids" id="bulk_delete_input" value="">
                                            <br>
                                            <br>
                                            <th>#</th>
                                            <th>{{trans('notification.user_or_driver_name')}}</th>
                                            <th>{{trans('notification.user_type')}}</th>
                                            <th>{{trans('notification.message')}}</th>
                                            <th>{{trans('notification.action')}}</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @foreach($data['notifications'] as $key => $notification)
                                            <tr>
                                                <td>{{$key+1}}</td>
                                                <td>
                                                    @if ($notification->type == '0')
                                                        <span class="badge badge-info">{{trans('notification.all_users')}}</span>
                                                    @elseif ($notification->type == '1')
                                                        <span class="badge badge-secondary">{{trans('notification.all_drivers')}}</span>
                                                    @elseif ($notification->type == '2')
{{--                                                        <span class="badge badge-primary">{{$notification->user->name}}</span>--}}
                                                        {{$notification->user->name}}
                                                    @elseif ($notification->type == '3')
{{--                                                        <span class="badge badge-dark">{{$notification->driver->name}}</span>--}}
                                                        {{$notification->driver->name}}
                                                    @endif
                                                </td>
                                                <td>
                                                    @if ($notification->type == '0')
                                                        <span class="badge badge-info">{{trans('notification.all_users')}}</span>
                                                    @elseif ($notification->type == '1')
                                                        <span class="badge badge-secondary">{{trans('notification.all_drivers')}}</span>
                                                    @elseif ($notification->type == '2')
                                                        <span class="badge badge-primary">{{trans('notification.user')}}</span>
                                                    @elseif ($notification->type == '3')
                                                        <span class="badge badge-dark">{{trans('notification.driver')}}</span>
                                                    @endif
                                                </td>
                                                <td>{{isset($notification->message) ? str_limit($notification->message , 100) : ""}}</td>
                                                <td>
                                                    <div class="row">
                                                        {{--                                                @if(Auth::guard('admin')->user()->can('delete_notifications'))--}}
                                                        <form action="{{route('admin.notifications.delete')}}" method="post">
                                                            @csrf
                                                            <input type="hidden" name="notification_id" value="{{$notification->id}}"/>
                                                            <button class="btn btn-danger" type="submit"><i class="fa fa-trash"></i></button>
                                                        </form>

                                                        {{--                                                @endif--}}
                                                    </div>
                                                </td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- State saving Ends-->

                </div>
            </div>
            <!-- Container-fluid Ends-->
        </div>
    </div>
    <script>
        {{--$(document).ready(function(){--}}
        {{--    $('.select_all').on('click', function(e) {--}}
        {{--        $('input[name="row_id"]').prop('checked', $(this).prop('checked'));--}}
        {{--    });--}}
        {{--    // Bulk Delete--}}
        {{--    var $bulkDeleteBtn = $('#bulk_delete_btn');--}}
        {{--    var $bulkdeleteinput = $('#bulk_delete_input');--}}
        {{--    // Reposition modal to prevent z-index issues--}}
        {{--    // Bulk delete listener--}}
        {{--    $bulkDeleteBtn.click(function (e) {--}}
        {{--        var myids = [];--}}
        {{--        var $checkedBoxes = $('#basic-9 input[type=checkbox]:checked').not('.select_all');--}}
        {{--        var count = $checkedBoxes.length;--}}
        {{--        if (count) {--}}
        {{--            // Reset input value--}}
        {{--            $bulkdeleteinput.val('');--}}
        {{--            $.each($checkedBoxes, function () {--}}
        {{--                var value = $(this).val();--}}
        {{--                myids.push(value);--}}
        {{--            });--}}
        {{--            // Set input value--}}
        {{--            $bulkdeleteinput.val(myids);--}}
        {{--            // Show modal--}}
        {{--            e.preventDefault();--}}
        {{--            $.ajax({--}}
        {{--                method: 'POST',--}}
        {{--                url: "{{URL::route('admin.notifications.deleteMulti')}}",--}}
        {{--                dataType: 'json',--}}
        {{--                headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },--}}
        {{--                data: {ids:myids,"_token": "{{ csrf_token() }}"},--}}

        {{--                success: function(response){--}}
        {{--                    window.location.reload();--}}
        {{--                    toastr.success(response.success);--}}
        {{--                },--}}
        {{--                error: function(jqXHR){--}}
        {{--                    toastr.error(jqXHR.responseJSON.message);--}}
        {{--                }--}}
        {{--            });--}}
        {{--        } else {--}}
        {{--            // No row selected--}}
        {{--            toastr.warning('Nothing to Delete');--}}
        {{--        }--}}
        {{--    });--}}

        {{--    // End Bulk Delete--}}
        {{--});--}}
    </script>

@endsection
