@extends('admin.layouts.app')
@section('content')

    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('notification.notifications')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('notification.send_notify')}}</li>
                                <li class="breadcrumb-item active"></li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Container-fluid starts-->
            <div class="container-fluid">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="card">
                            <div class="card-body">
                                <form class="needs-validation"  novalidate="" method="post" action="{{route('admin.notifications.send')}}" enctype="multipart/form-data">
                                    @csrf
                                    <div class="modal-body">
                                        <div class="mb-2">
                                            <div class="col-form-label">{{trans('notification.receiver')}}</div>
                                            <select class="js-example-basic-single col-sm-12 custom-select" style="text-align: right;" name="person" required>
                                                <option disabled selected value="">{{trans('notification.choose_receiver')}}</option>
                                                <option value="All_users">{{trans('notification.all_users')}}</option>
                                                <option value="All_drivers">{{trans('notification.all_drivers')}}</option>
                                                <optgroup label="{{trans('notification.users')}}">
                                                    @foreach($data['users'] as $user)
                                                        <option value="{{$user->id}}|user">{{$user->name}}</option>
                                                    @endforeach
                                                </optgroup>
                                                <optgroup label="{{trans('notification.drivers')}}">
                                                    @foreach($data['drivers'] as $driver)
                                                        <option value="{{$driver->id}}|driver">{{$driver->name}}</option>
                                                    @endforeach
                                                </optgroup>
                                            </select>
                                            <div class="invalid-feedback">{{trans('notification.not_empty')}}</div>
                                            <div class="valid-feedback">{{trans('notification.correct')}}</div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-form-label float-left" for="message">{{trans('notification.message')}}</label>
                                            <textarea class="form-control" name="message" id="message" cols="20" rows="4" required></textarea>
                                            <div class="invalid-feedback">{{trans('notification.not_empty')}}</div>
                                            <div class="valid-feedback">{{trans('notification.correct')}}</div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button class="btn btn-primary float-right" type="submit">{{trans('notification.save')}}</button>
                                        <button class="btn btn-secondary" type="button" data-dismiss="modal">{{trans('notification.close')}}</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Container-fluid Ends-->
        @include('admin.layouts.message')

        </div>
    </div>
@endsection

