@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('dashboard.partner_requests')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a>
                                </li>
                                <li class="breadcrumb-item">{{trans('dashboard.partner_requests')}}</li>
                                <li class="breadcrumb-item active"></li>

                            </ol>


                        </div>
                    </div>
                </div>
            </div>
            <!-- Container-fluid starts-->
            @include('admin.layouts.message')


            <div class="container-fluid">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-block row">
                            <div class="col-sm-12 col-lg-12 col-xl-12">
                                <div class="table-responsive">
                                    <table class="table table-striped">
                                        <thead class="thead-dark">
                                        <tr>
                                            <th scope="col">{{trans('partner_requests.Id')}}</th>
                                            <th scope="col">{{trans('partner_requests.name')}}</th>
                                            <th scope="col">{{trans('partner_requests.email')}}</th>
                                            <th scope="col">{{trans('partner_requests.phone')}}</th>
                                            <th scope="col">{{trans('partner_requests.tax')}}</th>
                                            <th scope="col">{{trans('partner_requests.national')}}</th>
                                            <th scope="col">{{trans('partner_requests.commercial')}}</th>
                                            <th scope="col">{{trans('partner_requests.date')}}</th>
                                            <th scope="col">{{trans('partner_requests.state')}}</th>
                                            <th scope="col">{{trans('partner_requests.Actions')}}</th>
                                        </tr>
                                        </thead>
                                        <tbody id="tbl-body-data">
                                        @foreach($partners as $partner)
                                            <tr>
                                                <td>{{$partner->id}}</td>
                                                <td>{{$partner->name}}</td>
                                                <td>{{$partner->email}}</td>
                                                <td>{{$partner->phone}}</td>
                                                <td>
                                                    @if($partner->tax != null)
                                                        <button title="عرض" type="button" class="btn btn-success" style="padding: 2px"
                                                                data-toggle="modal" data-target="#tax{{$partner->id}}">
                                                            <img src="{{$partner->tax}}" class="image_radius">
                                                        </button>
                                                        <div class="modal fade" id="tax{{$partner->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                            <div class="modal-dialog" role="document">
                                                                <div class="modal-content">
                                                                    <img src="{{$partner->tax}}"/>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    @endif
                                                </td>
                                                <td>
                                                    @if($partner->national != null)
                                                        <button title="عرض" type="button" class="btn btn-success" style="padding: 2px"
                                                                data-toggle="modal" data-target="#national{{$partner->id}}">
                                                            <img src="{{$partner->national}}" class="image_radius">
                                                        </button>
                                                        <div class="modal fade" id="national{{$partner->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                            <div class="modal-dialog" role="document">
                                                                <div class="modal-content">
                                                                    <img src="{{$partner->national}}"/>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    @endif
                                                </td>
                                                <td>
                                                    @if($partner->commercial != null)
                                                        <button title="عرض" type="button" class="btn btn-success" style="padding: 2px"
                                                                data-toggle="modal" data-target="#commercial{{$partner->id}}">
                                                            <img src="{{$partner->commercial}}" class="image_radius">
                                                        </button>
                                                        <div class="modal fade" id="commercial{{$partner->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                            <div class="modal-dialog" role="document">
                                                                <div class="modal-content">
                                                                    <img src="{{$partner->commercial}}"/>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    @endif
                                                </td>
                                                <td>{{$partner->created_at}}</td>
                                                <td>
                                                    {{--                                        <a href="{{route('editCountryStatus',$c->id)}}">--}}
                                                    <div class=" col p-0">
                                                        <div class="media">
                                                            <div class="media-body  icon-state switch-outline">
                                                                <label class="switch">
                                                                    <input type="checkbox" id="partner-status"
                                                                           partner_id="{{$partner->id}}"
                                                                           @if($partner->accept == 1)  checked @endif><span
                                                                            class="switch-state bg-success"></span>
                                                                </label>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    {{--                                        </a>--}}
                                                </td>

                                                <td>
                                                    <a href="{{route('partner_requests.delete',$partner->id)}}"
                                                       title="{{trans('partner_requests.delete')}}" class="buttons">
                                                        <button class="btn btn-dark btn-condensed">
                                                            <svg xmlns="http://www.w3.org/2000/svg" width="20"
                                                                 height="20" viewBox="0 0 24 24" fill="none"
                                                                 stroke="currentColor" stroke-width="2"
                                                                 stroke-linecap="round" stroke-linejoin="round"
                                                                 class="feather feather-trash-2" color="red">
                                                                <polyline points="3 6 5 6 21 6"></polyline>
                                                                <path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path>
                                                                <line x1="10" y1="11" x2="10" y2="17"></line>
                                                                <line x1="14" y1="11" x2="14" y2="17"></line>
                                                            </svg>
                                                        </button>
                                                    </a>
                                                </td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Container-fluid Ends-->
        </div>


        <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
        <script>
            $(document).on('change', '#partner-status', function (e) {

                var partner_id = $(this).attr('partner_id');

                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                $.ajax({
                    type: "POST",
                    url: "{{URL::route('editRequestStatus')}}",
                    data: {
                        partner_id: partner_id,
                        "_token": "{{ csrf_token() }}"
                    },
                    success: function (response) {
                        location.reload();
                        // if (response.success){
                        //     toastr.success(response.success);
                        // }else if(response.warning){
                        //     toastr.warning(response.warning);
                        // }else{
                        //     toastr.error(response.error);
                        // }
                    },
                    error: function (jqXHR) {
                        // toastr.error(jqXHR.responseJSON.message);
                    }
                });
            });
        </script>



@endsection
