@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('promo.cars')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('promo.promosall')}}</li>
                                <li class="breadcrumb-item active"></li>
                            </ol>
                        </div>
 @if(request()->segment(1)=='ar')<div style="float: left">
                                                                            @else
                                                                           <div style="float: right">
                                                                            @endif
                            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"><i class="icon-plus"></i> {{trans('promo.AddnewPromo')}} </button>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
                                

        <div class="container-fluid">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-block row">
                        <div class="col-sm-12 col-lg-12 col-xl-12">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead class="thead-dark">
                                    <tr>
                                        <th scope="col">{{trans('promo.id')}}</th>
                                        <th scope="col">{{trans('promo.Code')}}</th>
                                        <th scope="col">{{trans('promo.limit')}}</th>
                                        <th scope="col">{{trans('promo.Amount')}}</th>
                                        <th scope="col">{{trans('promo.Message')}}</th>
                                        <th scope="col">{{trans('promo.start')}}</th>
                                        <th scope="col">{{trans('promo.end')}} </th>
{{--                                        <th>{{trans('promo.actions')}}</th>--}}
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($promos as $promo)
                                        <tr>
                                            <td>
                                                <a href="{{route('promos.edit',$promo->id)}}" title="{{trans('promo.edit')}}" class="buttons">{{$promo->id}}</a>
                                            </td>
                                            <td>{{$promo->code}}</td>
                                            <td>{{$promo->limit}}</td>
                                            <td>{{$promo->amount}}</td>
                                            <td>{{$promo->message}}</td>
                                            <td>{{$promo->start_date}}</td>
                                            <td>{{$promo->end_date}}</td>

{{--                                            <td>--}}
{{--                                                <a href="{{route('promos.edit',$promo->id)}}" title="{{trans('promo.edit')}}" class="buttons"><button class="btn btn-dark btn-condensed"><i class="fa fa-edit"></i></button></a>--}}
{{--                                            </td>--}}
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">{{trans('promo.AddnewPromo')}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="form-horizontal" method="post" action="{{route('promos.store')}}">
                    {{csrf_field()}}
                    <div class="modal-body">
                  
                        

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('promo.Code')}}</label>
                            <div class="col-lg-12">
                                <input name="code" type="text" placeholder="{{trans('promo.Code')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                        

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('promo.limit')}}</label>
                            <div class="col-lg-12">
                                <input  name="limit" type="text" placeholder="{{trans('promo.limit')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('promo.Amount')}}</label>
                            <div class="col-lg-12">
                                <input  name="amount" type="number" placeholder="{{trans('promo.Amount')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('promo.start')}}</label>
                            <div class="col-lg-12">
                                <input  name="start_date" type="datetime-local" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('promo.end')}}</label>
                            <div class="col-lg-12">
                                <input  name="end_date" type="datetime-local" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('promo.Message')}}</label>
                            <div class="col-lg-12">
                                <textarea name="message" rows="6" class="form-control btn-square" placeholder="{{trans('promo.Message')}}" required></textarea>
                            </div>
                        </div>
                        





                    </div>
                     @if(request()->segment(1)=='ar')
      <div class="modal-footer" style="direction:ltr">

    @else
         <div class="modal-footer" style="direction:rtl;">

        @endif
                  
                        <button type="reset" class="btn btn-dark" data-dismiss="modal" style="margin-left:10px;">{{trans('admin.close')}}</button>
                        <button class="btn btn-primary">{{trans('admin.save')}}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

@endsection
