@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('servicecar.service')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('servicecar.serviceforcars')}}</li>
                                <li class="breadcrumb-item active"></li>
                            </ol>
                        </div>
                        @if(request()->segment(1)=='ar')<div style="float: left">
                                                                            @else
                                                                           <div style="float: right">
                                                                            @endif
                            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"><i class="icon-plus"></i> {{trans('servicecar.AddNewService')}} </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
                                

        <div class="container-fluid">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-block row">
                        <div class="col-sm-12 col-lg-12 col-xl-12">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead class="thead-dark">
                                    <tr>
                                        <th scope="col">{{trans('servicecar.Id')}}</th>
                                        <th scope="col">{{trans('servicecar.Country')}}</th>
                                        <th scope="col">{{trans('servicecar.Start')}}</th>
                                        <th scope="col">{{trans('servicecar.Wait')}}</th>
                                         <th scope="col">{{trans('servicecar.MinimumFare')}}</th>
                                        <th scope="col">{{trans('servicecar.service_fees')}}</th>
                                        <th scope="col">{{trans('servicecar.CancelBeforeFees')}}</th>
                                        <th scope="col">{{trans('servicecar.CancelAfterFees')}}</th>
{{--                                        <th>{{trans('servicecar.Actions')}}</th>--}}
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($services as $service)
                                    <tr>
                                        <td>
                                            <a href="{{route('rush.service.car.edit',$service->id)}}" title="{{trans('servicecar.edit')}}" class="buttons">{{$service->id}}</a>
                                        </td>
                                        <td>{{$service->country->name}}</td>
                                        <td>{{$service->start}}</td>
                                        <td>{{$service->wait}}</td>
                                        <td>{{$service->minimum_fare}}</td>
                                        <td>{{$service->service_fees}}</td>
                                        <td>{{$service->cancel_before_fees}}</td>
                                        <td>{{$service->cancel_after_fees}}</td>
{{--                                        <td>--}}
{{--                                            <a href="{{route('service.car.edit',$service->id)}}" title="{{trans('servicecar.edit')}}" class="buttons"><button class="btn btn-dark btn-condensed"><i class="fa fa-edit"></i></button></a>--}}
{{--                                        </td>--}}
                                    </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">{{trans('servicecar.addservice')}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="form-horizontal" method="post" action="{{route('rush.service.car.store')}}">
                    {{csrf_field()}}
                    <div class="modal-body">
                    <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('servicecar.Country')}}</label>

                        <select class="form-control field" data-type="select" id="type" name="country_id">
                            @foreach($countries as $country)
                            <option value="{{$country->id}}">{{$country->name}}</option>
                            @endforeach
                        </select><br>
                        

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('servicecar.Start')}}</label>
                            <div class="col-lg-12">
                                <input name="start" type="number" placeholder="{{trans('servicecar.Start')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('servicecar.Wait')}}</label>
                            <div class="col-lg-12">
                                <input  name="wait" type="number" placeholder="{{trans('servicecar.Wait')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('servicecar.MinimumFare')}}</label>
                            <div class="col-lg-12">
                                <input name="minimum_fare" type="number" placeholder="{{trans('servicecar.MinimumFare')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="passwordinput">{{trans('servicecar.service_fees')}}</label>
                            <div class="col-lg-12">
                                <input name="service_fees" type="number" placeholder="{{trans('servicecar.service_fees')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                        
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="passwordinput">{{trans('servicecar.CancelBeforeFees')}}</label>
                            <div class="col-lg-12">
                                <input name="cancel_before_fees" type="number" placeholder="{{trans('servicecar.CancelBeforeFees')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="passwordinput">{{trans('servicecar.CancelAfterFees')}}</label>
                            <div class="col-lg-12">
                                <input  name="cancel_after_fees" type="number" placeholder="{{trans('servicecar.CancelAfterFees')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                    </div>
                            @if(request()->segment(1)=='ar')
      <div class="modal-footer" style="direction:ltr">

    @else
         <div class="modal-footer" style="direction:rtl;">

        @endif
                  
                        <button type="reset" class="btn btn-dark" data-dismiss="modal" style="margin-left:10px;">{{trans('admin.close')}}</button>
                        <button class="btn btn-primary">{{trans('admin.save')}}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

@endsection
