@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('servicecar.service')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('servicecar.serviceforcars')}}</li>
                                <li class="breadcrumb-item active"></li>
                            </ol>
                        </div>
                        @if(request()->segment(1)=='ar')<div style="float: left">
                                                                            @else
                                                                           <div style="float: right">
                                                                            @endif
                            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"><i class="icon-plus"></i> {{trans('servicecar.AddNewService')}} </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
                                

        <div class="container-fluid">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-block row">
                        <div class="col-sm-12 col-lg-12 col-xl-12">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead class="thead-dark">
                                    <tr>
                                        <th scope="col">{{trans('servicecar.Id')}}</th>
                                        <th scope="col">{{trans('servicecar.carName')}}</th>
                                        <th scope="col">{{trans('servicecar.carImage')}}</th>
                                        <th scope="col">{{trans('city.city')}}</th>
                                        <th scope="col">{{trans('servicecar.Country')}}</th>
                                        <th scope="col">{{trans('servicecar.Start')}}</th>
                                        <th scope="col">{{trans('servicecar.Wait')}}</th>
                                         <th scope="col">{{trans('servicecar.MinimumFare')}}</th>
                                        <th scope="col">{{trans('servicecar.service_fees')}}</th>
                                        <th scope="col">{{trans('servicecar.CancelBeforeFees')}}</th>
                                        <th scope="col">{{trans('servicecar.CancelAfterFees')}}</th>
{{--                                        <th>{{trans('servicecar.Actions')}}</th>--}}
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($services as $service)
                                    <tr>
                                        <td>
                                            <a href="{{route('rush.service.car.edit',$service->id)}}" title="{{trans('servicecar.edit')}}" class="buttons">{{$service->id}}</a>
                                        </td>
                                        <td>{{$service->car->translation->name}}</td>
                                        <td><img src="{{$service->car->image}}" class="image_radius"></td>
                                        <td>{{$service->car->city->name}}</td>
                                        <td>{{$service->country->name}}</td>
                                        <td>{{$service->start}}</td>
                                        <td>{{$service->wait}}</td>
                                        <td>{{$service->minimum_fare}}</td>
                                        <td>{{$service->service_fees}}</td>
                                        <td>{{$service->cancel_before_fees}}</td>
                                        <td>{{$service->cancel_after_fees}}</td>
{{--                                        <td>--}}
{{--                                            <a href="{{route('service.car.edit',$service->id)}}" title="{{trans('servicecar.edit')}}" class="buttons"><button class="btn btn-dark btn-condensed"><i class="fa fa-edit"></i></button></a>--}}
{{--                                        </td>--}}
                                    </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">{{trans('servicecar.addservice')}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="form-horizontal" method="post" action="{{route('rush.service.car.store')}}">
                    {{csrf_field()}}
                    <div class="modal-body">
                    <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('servicecar.Country')}}</label>

                        <select class="form-control field" data-type="select" id="country_id" name="country_id">
                            @foreach($countries as $country)
                            <option value="{{$country->id}}">{{$country->name}}</option>
                            @endforeach
                        </select><br>
                        <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                left
@endif" for="textinput">{{trans('city.allcity')}}</label>

                        <select class="form-control field " data-type="select" name="city_id" id="city_id">
                            <option value="" disabled selected>{{trans('city.allcity')}}</option>
                        </select>
                        <br>

                        <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                left
@endif" for="textinput">{{trans('cars.cars')}}</label>

                        <select class="form-control field " data-type="select" name="car_id" id="car_id">
                            <option value="" disabled selected>{{trans('cars.cars')}}</option>
                        </select>
                        <br>
                        

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('servicecar.Start')}}</label>
                            <div class="col-lg-12">
                                <input name="start" type="number" placeholder="{{trans('servicecar.Start')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('servicecar.Wait')}}</label>
                            <div class="col-lg-12">
                                <input  name="wait" type="number" placeholder="{{trans('servicecar.Wait')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('servicecar.MinimumFare')}}</label>
                            <div class="col-lg-12">
                                <input name="minimum_fare" type="number" placeholder="{{trans('servicecar.MinimumFare')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="passwordinput">{{trans('servicecar.service_fees')}}</label>
                            <div class="col-lg-12">
                                <input name="service_fees" type="number" placeholder="{{trans('servicecar.service_fees')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                        
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="passwordinput">{{trans('servicecar.CancelBeforeFees')}}</label>
                            <div class="col-lg-12">
                                <input name="cancel_before_fees" type="number" placeholder="{{trans('servicecar.CancelBeforeFees')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="passwordinput">{{trans('servicecar.CancelAfterFees')}}</label>
                            <div class="col-lg-12">
                                <input  name="cancel_after_fees" type="number" placeholder="{{trans('servicecar.CancelAfterFees')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                    </div>
                            @if(request()->segment(1)=='ar')
      <div class="modal-footer" style="direction:ltr">

    @else
         <div class="modal-footer" style="direction:rtl;">

        @endif
                  
                        <button type="reset" class="btn btn-dark" data-dismiss="modal" style="margin-left:10px;">{{trans('admin.close')}}</button>
                        <button class="btn btn-primary">{{trans('admin.save')}}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

        <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
        <script>
            $(document).on('change','#country_id', function(e) {
                var country_id = $("#country_id").val();
                //console.log(country_id);
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                $.ajax({
                    type: "POST",
                    url: "{{URL::route('getCities')}}",
                    data: {
                        country_id: country_id,
                        "_token": "{{ csrf_token() }}"
                    },
                    success: function(response){
//console.log(response);
                        $("#city_id").empty();
                        $("#car_id").empty();
                        if(response.length > 0){
                            $('#city_id').append('<option disabled selected>Select - اختر</option>');
                            $.each(response,function(key,value){
                                if(value.name !=null)
                                    $("#city_id").append('<option value="'+value.id+'" >'+value.name+'</option>');
                            });
                        }

                        //console.log(response);
                        //location.reload();
                        // if (response.success){
                        //     toastr.success(response.success);
                        // }else if(response.warning){
                        //     toastr.warning(response.warning);
                        // }else{
                        //     toastr.error(response.error);
                        // }
                    },
                    error: function(jqXHR){
                        // toastr.error(jqXHR.responseJSON.message);
                    }
                });
            });
        </script>
        <script>
            $(document).on('change','#city_id', function(e) {

                var country_id = $("#country_id").val();
                var city_id = $("#city_id").val();
                //console.log(country_id);
                //console.log(city_id);
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                $.ajax({
                    type: "POST",
                    url: "{{URL::route('getCars')}}",
                    data: {
                        country_id: country_id,
                        city_id: city_id,
                        "_token": "{{ csrf_token() }}"
                    },
                    success: function(response){
                        //console.log(response);
                        $("#car_id").empty();
                        if(response.length > 0){
                            $('#car_id').append('<option disabled selected>Select - اختر</option>');
                            selectOptionData(response);
                        }


                        //location.reload();
                        // if (response.success){
                        //     toastr.success(response.success);
                        // }else if(response.warning){
                        //     toastr.warning(response.warning);
                        // }else{
                        //     toastr.error(response.error);
                        // }
                    },
                    error: function(jqXHR){
                        // toastr.error(jqXHR.responseJSON.message);
                    }
                });
            });
            function selectOptionData(response){
                console.log(response);
                $.each(response,function(key,value){
                    var newRow='<option value="'+value.id+'" >'+value.translation.name+'</option>';
                    $('#car_id').append(newRow);
                });
            }
        </script>

@endsection
