@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('rush_periods.period')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('rush_periods.rush_periods')}}</li>
                                <li class="breadcrumb-item active"></li>
                            </ol>
                        </div>
                        @if(request()->segment(1)=='ar')<div style="float: left">
                                                                            @else
                                                                           <div style="float: right">
                                                                            @endif
                            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"><i class="icon-plus"></i> {{trans('rush_periods.AddNewPeriod')}} </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
                                

        <div class="container-fluid">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-block row">
                        <div class="col-sm-12 col-lg-12 col-xl-12">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead class="thead-dark">
                                    <tr>
                                        <th scope="col">{{trans('rush_periods.Id')}}</th>
                                        <th scope="col">{{trans('rush_periods.Country')}}</th>
                                        <th scope="col">{{trans('rush_periods.from')}}</th>
                                        <th scope="col">{{trans('rush_periods.to')}}</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($periods as $period)
                                    <tr>
                                        <td>
                                            <a href="{{route('rush.period.car.edit',$period->id)}}" title="{{trans('rush_periods.edit')}}" class="buttons">{{$period->id}}</a>
                                        </td>
                                        <td>{{$period->country->name}}</td>
                                        <td>{{$period->from}}</td>
                                        <td>{{$period->to}}</td>
{{--                                        <td>--}}
{{--                                            <a href="{{route('service.car.edit',$service->id)}}" title="{{trans('servicecar.edit')}}" class="buttons"><button class="btn btn-dark btn-condensed"><i class="fa fa-edit"></i></button></a>--}}
{{--                                        </td>--}}
                                    </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">{{trans('rush_periods.addperiod')}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="form-horizontal" method="post" action="{{route('rush.period.car.store')}}">
                    {{csrf_field()}}
                    <div class="modal-body">
                    <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('rush_periods.Country')}}</label>

                        <select class="form-control field" data-type="select" id="type" name="country_id">
                            @foreach($countries as $country)
                            <option value="{{$country->id}}">{{$country->name}}</option>
                            @endforeach
                        </select><br>
                        

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('rush_periods.from')}}</label>
                            <div class="col-lg-12">
                                <input name="from" type="time" value="00:00" placeholder="{{trans('rush_periods.from')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('rush_periods.to')}}</label>
                            <div class="col-lg-12">
                                <input  name="to" type="time" value="23:00" placeholder="{{trans('rush_periods.to')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                    </div>
                            @if(request()->segment(1)=='ar')
      <div class="modal-footer" style="direction:ltr">

    @else
         <div class="modal-footer" style="direction:rtl;">

        @endif
                  
                        <button type="reset" class="btn btn-dark" data-dismiss="modal" style="margin-left:10px;">{{trans('admin.close')}}</button>
                        <button class="btn btn-primary">{{trans('admin.save')}}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

@endsection
