@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('settings.settings')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('settings.settings')}}</li>
                                <li class="breadcrumb-item active">{{trans('settings.editsettings')}}</li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
        <div class="container-fluid">
            <div class="col-md-12">
                <form class="form-horizontal" action="@if(request()->segment(1)=='en') /en/admin/settings/privacy_policy/edit/update @else /ar/admin/settings/privacy_policy/edit/update @endif" method="post">
                    {{csrf_field()}}
                    <div class="card">
                        <div class="card-header">
                            <h3 class="panel-title">
                                {{trans('settings.EditPrivacyPolicytext')}}
                            </h3>
                        </div>
                        <div class="card-body">
                            <div class="form-group {{ $errors->has('en_text') ? ' has-error' : '' }}">
                                <label class="col-md-3 col-xs-12 control-label">{{trans('settings.textInE')}}</label>
                                <div>
                                    <textarea class="form-control" name="en_name" rows="10">{{$setting[1]->name }}</textarea>
                                </div>
                                @include('admin.layouts.error', ['input' => 'en_text'])
                            </div>

                            <div class="form-group {{ $errors->has('en_text') ? ' has-error' : '' }}">
                                <label class="col-md-3 col-xs-12 control-label">{{trans('settings.textInArabic')}}</label>
                                <div>
                                    <textarea class="form-control" name="ar_name" rows="10">{{$setting[0]->name }}</textarea>
                                </div>
                                @include('admin.layouts.error', ['input' => 'ar_text'])
                            </div>
                        </div>
                        <div class="panel-footer">
                            <button type="reset" class="btn btn-default">{{trans('settings.Clear')}}</button> &nbsp;
                            <button class="btn btn-primary pull-right">
                                {{trans('settings.update')}}
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>

@endsection
