@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('trip.trips')}} </h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a>
                                </li>
                                <li class="breadcrumb-item active">{{trans('trip.trips')}}</li>
                            </ol>
                        </div>
                        {{--<a href="orders/export" class="btn btn-success" style="float:right"> Export Trips Invoice <i class="fa fa-file-excel-o"></i></a>--}}

                        @include('admin.layouts.search')

                    </div>
                </div>
            </div>
            <!-- Container-fluid starts-->
            <div class="container-fluid">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="card">
                            <div class="card-body">
                                @foreach($trips as $k => $trips_data)
                                    <br/>
                                    <div class="table-responsive">
                                        <table class="table">
                                            <div class="badge badge-success text-wrap">
                                                <span style="font-size: 15px;">{{trans("trip.date")}}{{$k}}</span>
                                            </div>
                                            <thead class="thead-dark">
                                            <tr>
                                                <th>#</th>
                                                <th>{{trans('trip.Type')}}</th>
                                                <th>{{trans('trip.User')}}</th>
                                                <th>{{trans('user.user_phone')}}</th>
                                                <th>{{trans('trip.Driver')}}</th>
                                                <th>{{trans('driver.driver_phone')}}</th>
                                                <th>{{trans('driver.PlatNumber')}}</th>
                                                <th>{{trans('trip.Status')}}</th>
                                                <th>{{trans('trip.Total')}}</th>
                                                <th>{{trans('trip.Created')}}</th>
                                                {{--                                        <th>{{trans('trip.Actions')}}</th>--}}
                                            </tr>
                                            </thead>
                                            <tbody>
                                                @if(count($trips_data["trips"]) > 0 )
                                                    @foreach($trips_data["trips"] as $key => $trip)
                                                        @if($trip->order_action == 0)
                                                            <tr class="table-primary">
                                                        @elseif($trip->order_action == 1)
                                                            <tr class="table-success">
                                                        @elseif($trip->order_action == 2)
                                                            <tr class="table-danger">
                                                        @elseif($trip->order_action == 3)
                                                            <tr class="table-warning">
                                                        @endif
                                                            <td>
                                                                {{--                                            <a title="View" href="{{route('trips_view',$trip->id)}}">{{$trip->id}}</a>--}}
                                                                <a title="View"
                                                                   href="{{route('trips_view',$trip->id)}}">{{$key+1}}</a>
                                                            </td>
                                                            <td>{{$trip->type}}</td>
                                                            <td>{{$trip->user->name}}</td>
                                                            <td>{{$trip->user->phone}}</td>
                                                            <td>{{isset($trip->driver->name)? $trip->driver->name: ''}}</td>
                                                            <td>{{isset($trip->driver->phone)? $trip->driver->phone: ''}}</td>
                                                            <td>{{isset($trip->driver->driverCar)? $trip->driver->driverCar->plat_number: ''}}</td>
                                                            @if($trip->order_action == 0)
                                                                <td class="font-primary">{{trans('trip.Open')}}</td>
                                                            @elseif($trip->order_action == 1)
                                                                <td class="font-success">{{trans('trip.Completed')}}</td>
                                                            @elseif($trip->order_action == 2)
                                                                <td class="font-danger">{{trans('trip.Canceled')}}</td>
                                                            @elseif($trip->order_action == 3)
                                                                <td class="font-warning">{{trans('trip.Rejected')}}</td>
                                                            @endif
                                                            <td>{{$trip->total}}</td>
                                                            <td>{{$trip->created_at}}</td>
                                                            {{--                                                <td>--}}
                                                            {{--                                                    <a title="View" href="{{route('trips_view',$trip->id)}}"><button class="btn btn-info btn-condensed"><i class="fa fa-eye"></i></button></a>--}}
                                                            {{--                                                </td>--}}
                                                        </tr>
                                                    @endforeach
                                                @endif
                                            </tbody>
                                            <tfoot>
                                            <th colspan="8"></th>
                                                <th colspan="7" style="color: #ffffff;"  class="badge badge-info text-wrap">
                                                    <span style="font-size: 15px;">{{trans("trip.sum")}}{{$trips_data["sum"]}}</span>
                                                </th>
                                            </tfoot>
                                        </table>
                                    </div>
                                @endforeach
                                <br/>
{{--                                {{$trips->links()}}--}}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Container-fluid Ends-->
        </div>
    </div>
@endsection
