@extends('admin.layouts.app')
@section('styles')


    <style type="text/css">
        #mymap {
            border:1px solid red;
            width: 800px;
            height: 600px;
        }
    </style>
@endsection
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('dashboard.map')}} </h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a>
                                </li>
                                <li class="breadcrumb-item active">{{trans('dashboard.map')}}</li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
            <!-- Container-fluid starts-->
            <div class="container-fluid">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="form-group">
                                    <img width="50px" height="50px" src="{{url('admin/car.png')}}" alt="">
                                    <strong>{{trans('dashboard.drivers')}}</strong>
                                </div>
                                <div class="form-group">
                                    <img src="{{url('admin/man.png')}}" alt="">
                                    <strong>{{trans('dashboard.trips')}}</strong>
                                </div>
                                {{--<div class="form-group">--}}
                                    {{--<img src="http://pensionlechatperche.com/wp-content/plugins/google-maps-gpx-viewer/img/gmapIcons/all-mixed/Refuge.png" alt="">--}}
                                {{--</div>--}}
                                <div class="form-group">
                                    <div id="userlocation" style="width:100%;height:350px"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Container-fluid Ends-->
        </div>
    </div>
@endsection

@section('scripts')
    <script>
        var drivers_locations = <?php print_r(json_encode($drivers)) ?>;
        var trips_locations = <?php print_r(json_encode($trips_locations)) ?>;
        var marker = null;
        var placeSearch, autocomplete;
        function initMap() {
            autocomplete =
                new google.maps.places.Autocomplete((document.getElementById('autocomplete')),
                    {types: ['geocode']});
            var map = new google.maps.Map(document.getElementById('userlocation'), {
                zoom: 7,
                center: {lat: 31.2, lng: 30.1 }
            });

            $.each( drivers_locations, function( index, value ){
                var MaekerPos = new google.maps.LatLng(value.lat , value.lng);
                marker = new google.maps.Marker({
                    position: MaekerPos,
                    title: 'Driver Location',
                    map: map,
                    icon: "{{url('admin/car.png')}}"
                });
            });

            $.each( trips_locations, function( index, value ){
                var MaekerPos = new google.maps.LatLng(value.lat , value.lng);
                marker = new google.maps.Marker({
                    position: MaekerPos,
                    title: 'Trip Location',
                    map: map,
                    icon: "{{url('admin/man.png')}}"
                });
            });
        }
    </script>
    <script async defer
            src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDPN_XufKy-QTSCB68xFJlqtUjHQ8m6uUY&libraries=places&callback=initMap">
    </script>
@endsection
