@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('trip.trips')}}  </h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item active">{{trans('trip.trips')}} </li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        @include('admin.layouts.message')
        <!-- Container-fluid starts-->
        <div class="col-sm-14 col-xl-5">
            <div class="ribbon-vertical-left-wrapper card">
                <div class="card-body">
                    <div class="ribbon ribbon-secondary ribbon-vertical-left" style="background-color: #2A3142 !important;"><i class="icon-shopping-cart"></i></div>
                    <h6>{{trans('trip.Order')}}: <strong>#{{$trip->id}}</strong></h6>
                    <h6>{{trans('trip.Total')}}: <strong>{{$trip->total}}$</strong></h6>
                    <h6>{{trans('trip.Created')}}: <strong>{{$trip->created_at}}</strong></h6>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row">
                <div class="col-sm-6 col-xl-4">
                    <div class="card card-absolute">
                        <div class="card-header bg-dark">
                            <h5 class="text-white">{{trans('trip.User')}}</h5>
                        </div>
                        <div class="card-body">
                            <p>{{trans('trip.id')}}: <strong>{{$trip->user->id}}</strong></p>
                            <p>{{trans('trip.name')}}: <strong>{{$trip->user->name}}</strong></p>
                            <p>{{trans('trip.phone')}}: <strong>{{$trip->user->phone}}</strong></p>
                            <p>{{trans('trip.payment')}}: <strong>{{$trip->user->payment_type == 1 ? 'Cash' : 'Online'}}</strong></p>
                        </div>
                    </div>
                </div>

                @if(isset($trip->driver))
                <div class="col-sm-12 col-xl-4">
                    <div class="card card-absolute">
                        <div class="card-header bg-dark">
                            <h5 class="text-white">{{trans('trip.Driver')}}</h5>
                        </div>
                        <div class="card-body">
                            @if(request()->segment(1)=='ar')
                                <p> الرقم : <strong>{{$trip->driver->id}}</strong></p>
                                <p> الإسم : <strong>{{$trip->driver->name}}</strong></p>
                                <p> رقم الهاتف : <strong>{{$trip->driver->phone}}</strong></p>
                                <p> السيارة : <strong>{{$trip->driver->car->name}}</strong></p>
                                <p> الدولة : <strong>{{$trip->driver->country->name}}</strong></p>
                            @else
                                <p>Id: <strong>{{$trip->driver->id}}</strong></p>
                                <p>Name: <strong>{{$trip->driver->name}}</strong></p>
                                <p>Phone: <strong>{{$trip->driver->phone}}</strong></p>
                                <p>Car: <strong>{{$trip->driver->car->name}}</strong></p>
                                <p>Country: <strong>{{$trip->driver->country->name}}</strong></p>
                            @endif

                        </div>
                    </div>
                </div>
                @endif

                @if(isset($trip->tripPath))
                    <div class="col-sm-12 col-xl-4">
                        <div class="card card-absolute">
                            <div class="card-header bg-dark">
                                <h5 class="text-white">{{trans('trip.path')}}</h5>
                            </div>
                            <div class="card-body">
                                @foreach($trip->tripPath as $path)
                                    <p>{{trans('trip.Type')}}: <strong>{{$path->type}}</strong></p>
                                    <p>{{trans('trip.Address')}}: <strong>{{$path->address}}</strong></p>
                                @endforeach
                            </div>
                        </div>
                    </div>
                @endif
            </div>
        </div>
        <!-- Container-fluid Ends-->

    </div>

@endsection
