@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h4>{{trans("user.users_".$type)}}</h4>
{{--                            <h3>Users {{$type}}</h3>--}}
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('user.users')}}</li>
                                <li class="breadcrumb-item active">{{trans("user.".$type)}}</li>
                            </ol>
                        </div>
                        @if(admin()->hasPermissionTo('Add user'))
                           @if(request()->segment(1)=='ar')<div style="float: left">
                                                                            @else
                                                                           <div style="float: right">
                                                                            @endif
                                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"><i class="icon-plus"></i> {{trans('user.add_user')}} </button>
                            </div>
                        @endif
                    </div>
                </div>

                <div class="card-body">
                    <form class="form-horizontal col-md-8" action="{{route('users_search')}}" method="get">
                        <div class="form-row">
                            <div class="input-group">
                                <input type="hidden" name="type" value="{{$type}}"/>
                                <input type="text" class="form-control" name="search" value="{{isset($search) ? $search : ''}}" placeholder="{{trans('user.search_with_user')}}" />
                                <button class="btn btn-primary">{{trans('user.search')}}</button>
                            </div>
                        </div>
                    </form>
                </div>

            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
        <div class="container-fluid">
            <div class="row">
                @foreach($users as $user)
                    <div class="col-md-6 col-lg-6 col-xl-4">
                        <div class="card custom-card">
                            <div class="card-header"><img class="img-fluid" src="{{asset('/admin/assets/images/user-card/9.jpg')}}" alt=""></div>
                            <div class="card-profile"><img class="rounded-circle" src="{{$user->image}}" alt=""></div>

                            <div class="text-center profile-details">
                                <h4>{{$user->name}}</h4>
                                <h6>{{$user->role}}</h6>
                            </div>
                            <div class="col-md-12 col-lg-12 col-xl-12">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="ttl-info justify-center ">
                                            <h6><i class="fa fa-phone"></i>&nbsp;&nbsp;&nbsp;{{trans('user.phone')}}</h6><span>{{$user->phone}}</span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="ttl-info justify-center">
                                            <h6><i class="fa fa-envelope"></i>&nbsp;&nbsp;&nbsp;{{trans('user.email')}}</h6><span>{{$user->email}}</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <br/>
                            <div class="col-md-12 col-lg-12 col-xl-12  ">
                                <div class="row">
                                    <a class="btn btn-dark btn-lg justify-center" href="{{route('users.show',$user->id)}}" data-original-title="" title=""><span class="fa fa-info"></span> {{trans('user.getinfo')}}</a>
                                </div>
                            </div>

                        </div>
                    </div>
                @endforeach
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>

    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">{{trans('user.add_user')}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="form-horizontal" method="post" action="{{route('users.store')}}" enctype="multipart/form-data">
                    {{csrf_field()}}
                    <div class="modal-body">

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('user.name')}}</label>
                            <div class="col-lg-12">
                                <input id="name" name="name" type="text" placeholder="{{trans('user.name')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('user.email')}}</label>
                            <div class="col-lg-12">
                                <input id="email" name="email" type="email" placeholder="{{trans('user.email')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('user.phone')}}</label>
                            <div class="col-lg-12">
                                <input id="phone" name="phone" type="number" placeholder="{{trans('user.phone')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="passwordinput">{{trans('user.password')}}</label>
                            <div class="col-lg-12">
                                <input id="password" name="password" type="password" placeholder="{{trans('user.password')}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('user.uploadimage')}}</label>
                            <div class="col-lg-12">
                                <input id="inputImage" type="file" name="image" accept=".jpg,.jpeg,.png,.gif,.bmp,.tiff">
                            </div>
                        </div>


                    </div>
                    @if(request()->segment(1)=='ar')
      <div class="modal-footer" style="direction:ltr">

    @else
         <div class="modal-footer" style="direction:rtl;">

        @endif
                  
                        <button type="reset" class="btn btn-dark" data-dismiss="modal" style="margin-left:10px;">{{trans('admin.close')}}</button>
                        <button class="btn btn-primary">{{trans('admin.save')}}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

@endsection
