@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('user.showprofile')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('user.users')}}</li>
                                <li class="breadcrumb-item active">{{trans('user.showprofile')}}</li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @include('admin.layouts.message')
        <!-- Container-fluid starts-->
        <div class="container-fluid">
            <div class="edit-profile">
                <div class="row">
                    <div class="col-lg-4">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">{{trans('user.myprofile')}}</h4>
                                <div class="card-options"><a class="card-options-collapse" href="edit-profile.html#" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a><a class="card-options-remove" href="edit-profile.html#" data-toggle="card-remove"><i class="fe fe-x"></i></a></div>
                            </div>
                            <div class="card-body">
                                <form>
                                    <div class="row mb-2">
                                        <div class="col-auto"><img class="img-fluid image-radius " src="{{$user->image}}"></div>
                                    </div>
                                    <br>
                                    {{--<div class="form-group">--}}
                                    {{--<h6 class="form-label">Bio</h6>--}}
                                    {{--<textarea class="form-control" rows="5">On the other hand, we denounce with righteous indignation</textarea>--}}
                                    {{--</div>--}}
                                    <div class="form-group">
                                        <label class="form-label">#</label>
                                        <span class="form-control">{{$user->id}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">{{trans('user.email')}}</label>
                                        <span class="form-control col-md-12">{{$user->email}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">{{trans('user.phone')}}</label>
                                        <span class="form-control">{{$user->phone}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">{{trans('user.country')}}</label>
                                        <span class="form-control">{{$user->country ? $user->country->name : __('user.no-country')}}</span>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-4">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">{{trans('user.Profile')}}</h4>
                                <div class="card-options"><a class="card-options-collapse" href="edit-profile.html#" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a><a class="card-options-remove" href="edit-profile.html#" data-toggle="card-remove"><i class="fe fe-x"></i></a></div>
                            </div>
                            <div class="card-body">
                                <div class="form-group">
                                    <label class="form-label">{{trans('user.name')}}</label>
                                    <span class="form-control">{{$user->name}}</span>
                                </div>
{{--                                <div class="form-group">--}}
{{--                                    <label class="form-label">{{trans('user.type')}}</label>--}}
{{--                                    <span class="form-control">{{$user->role}}</span>--}}
{{--                                </div>--}}
                            </div>
                        </div>
                    </div>


                    <div class="col-lg-4">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">{{trans('user.moreinfo')}}</h4>
                                <div class="card-options"><a class="card-options-collapse" href="edit-profile.html#" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a><a class="card-options-remove" href="edit-profile.html#" data-toggle="card-remove"><i class="fe fe-x"></i></a></div>
                            </div>
                            <div class="card-body">
                                <div class="form-group">
                                    <label class="form-label">{{trans('user.registration')}}</label>
                                    <span class="form-control col-md-12">{{$user->created_at->diffForHumans()}}</span>
                                </div>
                                <div class="form-group">
                                    <label class="form-label">{{trans('user.trips')}}</label>
                                    <span class="btn btn-dark">{{isset($user->trips)?$user->trips->count():0}}</span>
                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">{{trans('user.settings')}}</h4>
                                <div class="card-options"><a class="card-options-collapse" href="#" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a><a class="card-options-remove" href="edit-profile.html#" data-toggle="card-remove"><i class="fe fe-x"></i></a></div>
                            </div>
                            <div class="card-body">
                                {{--<div class="form-group">--}}
                                    {{--<label class="col-md-6 col-xs-6 control-label">Edit</label>--}}
                                    {{--<div class="col-md-6 col-xs-6">--}}
                                        {{--<a href="/provider/technician/{{$user->id}}/edit"><button class="btn btn-warning">Edit</button></a>--}}
                                    {{--</div>--}}
                                {{--</div>--}}
                                @if($user->active == 1)
                                    @if(admin()->hasPermissionTo('Suspend user'))
                                    <div class="form-group">
                                        <label class="col-md-6 col-xs-6 control-label">{{trans('user.suspend')}}</label>
                                        <div class="col-md-6 col-xs-6">
                                            <button class="btn btn-primary mb-control suspend" data-toggle="modal" data-target="#message-box-suspend" title="suspend">{{trans('user.suspend')}}</button>
                                        </div>
                                    </div>
                                    @endif
                                @elseif($user->active == 0)
                                    @if(admin()->hasPermissionTo('Active user'))
                                    <div class="form-group">
                                        <label class="col-md-6 col-xs-6 control-label">{{trans('user.active')}}</label>
                                        <div class="col-md-6 col-xs-6">
                                            <button class="btn btn-success mb-control activate" data-toggle="modal" data-target="#message-box-active" title="Activate">{{trans('user.activate')}}</button>                                </div>
                                    </div>
                                    @endif
                                @endif
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
        @if(count($user->trips) > 0 )
            <!-- Container-fluid starts-->
            <div class="container-fluid">
                <div class="row">
                    <div class="col-sm-12 col-lg-12 col-xl-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">{{trans('trip.trips')}}</h4>
                            </div>
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table">
                                        <thead class="thead-dark">
                                        <tr>
                                            <th>#</th>
                                            <th>{{trans('trip.Type')}}</th>
                                            <th>{{trans('trip.Status')}}</th>
                                            <th>{{trans('trip.From')}}</th>
                                            <th>{{trans('trip.To')}}</th>
                                            {{--                                <th>{{trans('trip.Reached')}}</th>--}}
                                            <th>{{trans('trip.Total')}}</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @if(count($user->trips) > 0 )
                                            @foreach($user->trips as $trip)
                                                <tr>
                                                    <td>
                                                        <a title="View" href="{{route('trips_view',$trip->id)}}">{{$trip->id}}</a>
                                                    </td>
                                                    <td>{{$trip->type}}</td>
                                                    @if($trip->order_action == 0)
                                                        <td class="font-primary">{{trans('trip.Open')}}</td>
                                                    @elseif($trip->order_action == 1)
                                                        <td class="font-success">{{trans('trip.Completed')}}</td>
                                                    @elseif($trip->order_action == 2)
                                                        <td class="font-danger">{{trans('trip.Canceled')}}</td>
                                                    @endif
                                                    @foreach($trip->tripPath as $path)
                                                        @if ($path->type == 'pick_up' || $path->type == 'where_to')
                                                            <td>{{$path->address}}</td>
                                                        @endif
                                                        {{--                                            <p>{{trans('trip.Address')}}: <strong>{{$path->address}}</strong></p>--}}
                                                    @endforeach
                                                    <td>{{$trip->total}}</td>
                                                </tr>
                                            @endforeach
                                        @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Container-fluid Ends-->
        @endif
    </div>

    <div class="modal animated fadeIn" id="message-box-suspend" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header btn-primary">
                    <h5 class="modal-title" id="exampleModalLabel">{{trans('user.suspend')}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form method="post" action="{{route('userChangeStatus')}}" class="buttons">
                    {{csrf_field()}}
                    <div class="modal-body" style="text-align: @if(request()->segment(1)=='ar')right @else left @endif">
                        <h4>{{trans('user.are_you_sure')}}</h4>
                        <h6>{{trans('user.you_are_about_to_suspend_user')}}</h6>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="user_id" value="{{$user->id}}">
                        <button type="submit" class="btn btn-primary">{{trans('user.confirm')}}</button>
                        <button class="btn btn-dark" type="button" data-dismiss="modal">{{trans('user.close')}}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="modal animated fadeIn" id="message-box-active" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header btn-success">
                    <h5 class="modal-title" id="exampleModalLabel">{{trans('user.activate')}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form method="post" action="{{route('userChangeStatus')}}" class="buttons">
                    {{csrf_field()}}
                    <div class="modal-body" style="text-align: @if(request()->segment(1)=='ar')right @else left @endif">
                        <h4>{{trans('user.are_you_sure')}}</h4>
                        <h6>{{trans('user.you_are_about_to_activate_user')}}</h6>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="user_id" value="{{$user->id}}">
                        <button type="submit" class="btn btn-success">{{trans('user.confirm')}}</button>
                        <button class="btn btn-dark" type="button" data-dismiss="modal">{{trans('user.close')}}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <script type="text/javascript" src="http://code.jquery.com/jquery-1.7.1.min.js"></script>
    <script>
        $('.suspend').on('click',function () {
            $('#message-box-suspend').modal('show');
        })
    </script>

    <script>
        $('.contract').on('click',function () {
            $('#message-box-contract').modal('show');
        })
    </script>

    <script>
        $('.activate').on('click',function () {
            $('#message-box-active').modal('show');
        })
    </script>
@endsection
