<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <!--favicon icon-->
    <link rel="icon" href="{{asset('landing/assets/img/favicon.png')}}" type="image/png" sizes="16x16">

    <!--title-->
    <title>Q driver</title>

    <!--build:css-->
    <link rel="stylesheet" href="{{asset('landing/assets/css/main-rtl.css')}}">
    <link rel="stylesheet" href="{{asset('landing/assets/css/animate.min.css')}}">
    <!-- endbuild -->
</head>

<body>

    <!--preloader start-->
    <div id="preloader">
        <div class="preloader-wrap">
            <img src="{{asset('landing/assets/img/logo-color.png')}}" alt="logo" class="img-fluid" />
            <div class="thecube">
                <div class="cube c1"></div>
                <div class="cube c2"></div>
                <div class="cube c4"></div>
                <div class="cube c3"></div>
            </div>
        </div>
    </div>
    <!--preloader end-->
    <!--header section start-->
    <header class="header">
        <!--start navbar-->
        <nav class="navbar navbar-expand-lg fixed-top bg-transparent">
            <div class="container">
                <a class="navbar-brand" href="{{asset('/')}}">
                    <img src="{{asset('landing/assets/img/logo-white.png')}}" alt="logo" class="img-fluid " />
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="ti-menu"></span>
                </button>

                <div class="collapse navbar-collapse h-auto" id="navbarSupportedContent">
                    <ul class="navbar-nav ml-auto menu">
                        <li><a href="#"> الرئيسية</a>
                           
                        </li>
                        <li><a href="#about" class="page-scroll">عن التطبيق</a></li>
                        <li><a href="#features" class="page-scroll">خصائص التطبيق</a></li>
                       
                        <li><a href="#screenshots" class="page-scroll">صور التطبيق</a></li>
                        <li><a href="#process" class="page-scroll">خطوات التطبيق</a></li>
                        <li><a href="#pricing" class="page-scroll">خطة الأسعار</a></li>
                        <li><a href="#contact" class="page-scroll">اتصل بنا</a></li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <!--header section end-->

    <div class="main">

        <!--hero section start-->
        <section class="ptb-100 bg-image overflow-hidden" image-overlay="8">
            <div class="background-image-wraper" style="background: url( {{asset('landing/assets/img/slider-bg-1.jpg')}} ); opacity: 1;"></div>
            <div class="hero-bottom-shape-two" style="background: url( {{asset('landing/assets/img/wave-shap.svg')}} )no-repeat bottom center"></div>
            <div class="effect-1 opacity-1">
                <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" x="0px" y="0px" viewBox="0 0 361.1 384.8" style="enable-background:new 0 0 361.1 384.8;" xml:space="preserve" class="injected-svg svg_img dark-color">
                    <path d="M53.1,266.7C19.3,178-41,79.1,41.6,50.1S287.7-59.6,293.8,77.5c6.1,137.1,137.8,238,15.6,288.9 S86.8,355.4,53.1,266.7z"></path>
                </svg>
            </div>
            <div class="container">
                <div class="row align-items-center justify-content-lg-between justify-content-md-center justify-content-sm-center">
                    <div class="col-md-12 col-lg-6">
                        <div class="hero-slider-content text-white py-5">
                            <h1 class="text-white">تطبيق Q Driver</h1>
                            <p class="lead">
                                
                                تطبيق Q Driver اول تطبيق عربي لنقل الأشخاص بكل سهولة و بلمسات بسيطة حيث يستطيع المستحدم طلب سيارة بضغطات بسيطة
                            </p>

                            <div class="action-btns mt-4">
                                <ul class="list-inline">
                                    <li class="list-inline-item">
                                        <a href="#" class="d-flex align-items-center app-download-btn btn btn-brand-02 btn-rounded">
                                            <span class="fab fa-apple icon-size-sm mr-3"></span>
                                            <div class="download-text text-left">
                                                <small>تحميل التطبيق من</small>
                                                <h5 class="mb-0">متجر ابل</h5>
                                            </div>
                                        </a>
                                    </li>
                                    <li class="list-inline-item">
                                        <a href="#" class="d-flex align-items-center app-download-btn btn btn-brand-02 btn-rounded">
                                            <span class="fab fa-google-play icon-size-sm mr-3"></span>
                                            <div class="download-text text-left">
                                                <small>تحميل التطبيق من</small>
                                                <h5 class="mb-0">متجر جوجل</h5>
                                            </div>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 col-sm-6 col-lg-6">
                        <div class="img-wrap">
                            <img src="{{asset('landing/assets/img/hero5-app.png')}}" alt="app image" class="img-fluid wow zoomInUp" data-wow-duration="2s">
                        </div>
                    </div>
                </div>
                <!--end of row-->
            </div>
            <!--end of container-->
        </section>
        <!--hero section end-->

        <!--promo section start-->
        <section class="promo-section ptb-100 position-relative overflow-hidden">
            <div class="effect-2 opacity-1">
                <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" x="0px" y="0px" viewBox="0 0 463.6 616" style="enable-background:new 0 0 463.6 616;" xml:space="preserve" class="injected-svg svg_img dark-color">
                    <path d="M148.4,608.3C25.7,572.5-3.5,442.2,0.3,375.8s24.8-117,124.8-166.5s125.7-77.4,165-129.6 c43.2-57.4,96.5-94.4,127.9-73c63,43,53.9,280,14,358s-68.9,75.5-98.9,118.7S271,644,148.4,608.3z"></path>
                </svg>
            </div>
            <div class="container">
                <div class="row">
                    <div class="col-lg-7 col-md-10">
                        <div class="section-heading">
                            <h2>تطبيق Q Driver أطلب سيارتك بسهولة</h2>
                            <p>
                                تطبيق Q Driver اول تطبيق عربي لنقل الأشخاص بكل سهولة و بلمسات بسيطة حيث يستطيع المستحدم طلب سيارة بضغطات بسيطة


                         </p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 col-lg-3 wow fadeInUp " data-wow-duration="1.5s">
                        <div class="card border-0 single-promo-card single-promo-hover-2 p-2 mt-4">
                            <div class="card-body">
                                <div class="pb-2">
                                    <span class="fas fa-rocket icon-size-md color-secondary"></span>
                                </div>
                                <div class="pt-2 pb-3">
                                    <h5>سرعة التطبيق</h5>
                                    <p class="mb-0">التطبيق يتسم بالسرعة و سهوله التعامل معه</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 col-lg-3 wow fadeInUp " data-wow-duration="1.5s">
                        <div class="card border-0 single-promo-card single-promo-hover-2 p-2 mt-4">
                            <div class="card-body">
                                <div class="pb-2">
                                    <span class="fas fa-window-restore icon-size-md color-secondary"></span>
                                </div>
                                <div class="pt-2 pb-3">
                                    <h5>مرونة التطبيق</h5>
                                    <p class="mb-0">التطبيق يعمل علي جميع الهواتف الخلوية دون صعوبات </p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 col-lg-3 wow fadeInUp " data-wow-duration="1.5s">
                        <div class="card border-0 single-promo-card single-promo-hover-2 p-2 mt-4">
                            <div class="card-body">
                                <div class="pb-2">
                                    <span class="fas fa-sync-alt icon-size-md color-secondary"></span>
                                </div>
                                <div class="pt-2 pb-3">
                                    <h5>سرعة استجابة التطبيق</h5>
                                    <p class="mb-0">التطبيق لديه الأف السائقين لتلقي طلبك بأسرع وقت</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 col-lg-3 wow fadeInUp " data-wow-duration="1.5s">
                        <div class="card border-0 single-promo-card single-promo-hover-2 p-2 mt-4">
                            <div class="card-body">
                                <div class="pb-2">
                                    <span class="fas fa-bezier-curve icon-size-md color-secondary"></span>
                                </div>
                                <div class="pt-2 pb-3">
                                    <h5>تغطية التطبيق</h5>
                                    <p class="mb-0">التطبيق يعمل في اكثر من دولة و يغطي معطم المدن بها</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--promo section end-->

        <!--about us section start-->
        <section id="about" class="about-us ptb-100 position-relative gray-light-bg">
            <div class="container">
                <div class="row align-items-center justify-content-lg-between justify-content-md-center">
                    <div class="col-md-5 col-lg-4">
                        <div class="about-content-right">
                            <img src="{{asset('landing/assets/img/app-mobile-image-2.png')}}" alt="about us" class="img-fluid wow fadeInRight">
                        </div>
                    </div>
                    <div class="col-md-12 col-lg-7">
                        <div class="about-content-left section-heading">
                            <h2>تطبيق Q Driver أطلب سيارتك بسهولة
                            </h2>

                            <ul class="check-list-wrap pt-3">
                                <li>تطبيق Q Driver اول تطبيق عربي لنقل الأشخاص بكل سهولة و بلمسات بسيطة حيث يستطيع المستحدم طلب سيارة بضغطات بسيطة

                                </li>
                                <li>تطبيق Q Driver اول تطبيق عربي لنقل الأشخاص بكل سهولة و بلمسات بسيطة حيث يستطيع المستحدم طلب سيارة بضغطات بسيطة
                                    <li>تطبيق Q Driver اول تطبيق عربي لنقل الأشخاص بكل سهولة و بلمسات بسيطة حيث يستطيع المستحدم طلب سيارة بضغطات بسيطة
                                        <li>تطبيق Q Driver اول تطبيق عربي لنقل الأشخاص بكل سهولة و بلمسات بسيطة حيث يستطيع المستحدم طلب سيارة بضغطات بسيطة
                                        </ul>
                            <div class="action-btns mt-4">
                                <a href="#" class="btn btn-brand-02 mr-3">تحميل التطبيق الأن</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="position-relative feature-section ptb-100">
            <div class="container">
                <div class="row align-items-center justify-content-between">
                    <div class="col-md-12 col-lg-6">
                        <div class="feature-contents section-heading">
                            <h2>تطبيق Q Driver أطلب سيارتك بسهولة
                            </h2>
                            <p>تطبيق Q Driver اول تطبيق عربي لنقل الأشخاص بكل سهولة و بلمسات بسيطة حيث يستطيع المستحدم طلب سيارة بضغطات بسيطة

                                تطبيق Q Driver اول تطبيق عربي لنقل الأشخاص بكل سهولة و بلمسات بسيطة حيث يستطيع المستحدم طلب سيارة بضغطات بسيطة

                            </p>
                            <p>تطبيق Q Driver اول تطبيق عربي لنقل الأشخاص بكل سهولة و بلمسات بسيطة حيث يستطيع المستحدم طلب سيارة بضغطات بسيطة

                            </p>
                            <ul class="dot-circle pt-2">
                                <li>عروض خصومات مستمرة داخل التطبيق</li>
                                <li>الحصول على رحلات مجانية عند استخدام التطبيق</li>
                                <li>سهولة الاشتراك بسيارتك في التطبيق </li>
                                <li>اربح و جمع الأموال مع تطبيق Q DRIVER</li>
                            </ul>
                            <div class="row pt-3">
                                <div class="col-4 col-lg-3 border-right">
                                    <div class="count-data text-center">
                                        <h4 class="count-number mb-0 color-primary font-weight-bold">1023</h4>
                                        <span>العملاء</span>
                                    </div>
                                </div>
                                <div class="col-4 col-lg-3 border-right">
                                    <div class="count-data text-center">
                                        <h4 class="count-number mb-0 color-primary font-weight-bold">5470</h4>
                                        <span>التحميلات</span>
                                    </div>
                                </div>
                                <div class="col-4 col-lg-3 border-right">
                                    <div class="count-data text-center">
                                        <h4 class="count-number mb-0 color-primary font-weight-bold">3560</h4>
                                        <span>الرحلات</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 col-lg-6">
                        <div class="download-img">
                            <img src="{{asset('landing/assets/img/tt.png')}}" alt="download" class="img-fluid wow fadeInLeft">
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--about us section end-->

        <!--features section start-->
        <section id="features" class="feature-section ptb-100 gray-light-bg">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-md-9 col-lg-8">
                        <div class="section-heading text-center mb-5">
                            <h2>خصائص التطبيق</h2>
                            <p class="text-muted para-desc mb-0 mx-auto">
                                تطبيق Q Driver اول تطبيق عربي لنقل الأشخاص بكل سهولة و بلمسات بسيطة حيث يستطيع المستحدم طلب سيارة بضغطات بسيطة

                                تطبيق Q Driver اول تطبيق عربي لنقل الأشخاص بكل سهولة و بلمسات بسيطة حيث يستطيع المستحدم طلب سيارة بضغطات بسيطة

                            </p>
                        </div>
                    </div>
                    <!--end col-->
                </div>
                <!--end row-->

                <div class="row align-items-center">
                    <div class="col-lg-8 col-md-12">
                        <div class="row align-items-center">
                            <div class="col-md-6 col-12">
                                <div class="features-single-wrap mb-sm-0 mb-md-5 mb-lg-5">
                                    <span class="ti-layout p-3 mr-4 mt-1 rounded-circle float-left"></span>
                                    <div class="features-single-content d-block overflow-hidden">
                                        <h5 class="mb-2">مرونة التطبيق</h5>
                                        <p>هناك حقيقة مثبتة منذ زمن طويل وهي أن المحتوى المقروء لصفحة ما سيلهي القارئ عن التركيز على الشكل الخارجي للنص أو شكل توضع الفقرات في الصفحة.</p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6 col-12">
                                <div class="features-single-wrap mb-sm-0 mb-md-5 mb-lg-5">
                                    <span class="ti-themify-favicon-alt p-3 mr-4 mt-1 rounded-circle float-left"></span>
                                    <div class="features-single-content d-block overflow-hidden">
                                        <h5 class="mb-2">روعة التصميم</h5>
                                        <p>هناك حقيقة مثبتة منذ زمن طويل وهي أن المحتوى المقروء لصفحة ما سيلهي القارئ عن التركيز على الشكل الخارجي للنص أو شكل توضع الفقرات في الصفحة.</p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6 col-12">
                                <div class="features-single-wrap mb-sm-0 mb-md-5 mb-lg-5">
                                    <span class="ti-eye p-3 mr-4 mt-1 rounded-circle float-left"></span>
                                    <div class="features-single-content d-block overflow-hidden">
                                        <h5 class="mb-2">روئية السايارات المحيطة</h5>
                                        <p>هناك حقيقة مثبتة منذ زمن طويل وهي أن المحتوى المقروء لصفحة ما سيلهي القارئ عن التركيز على الشكل الخارجي للنص أو شكل توضع الفقرات في الصفحة.</p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6 col-12">
                                <div class="features-single-wrap mb-sm-0 mb-md-5 mb-lg-5">
                                    <span class="ti-thumb-up p-3 mr-4 mt-1 rounded-circle float-left"></span>
                                    <div class="features-single-content d-block overflow-hidden">
                                        <h5 class="mb-2">متابعة السائق على الخريطة</h5>
                                        <p>هناك حقيقة مثبتة منذ زمن طويل وهي أن المحتوى المقروء لصفحة ما سيلهي القارئ عن التركيز على الشكل الخارجي للنص أو شكل توضع الفقرات في الصفحة.</p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6 col-12">
                                <div class="features-single-wrap mb-sm-0 mb-md-5 mb-lg-5">
                                    <span class="ti-mobile p-3 mr-4 mt-1 rounded-circle float-left"></span>
                                    <div class="features-single-content d-block overflow-hidden">
                                        <h5 class="mb-2">يعمل على كل الأجهزة</h5>
                                        <p>هناك حقيقة مثبتة منذ زمن طويل وهي أن المحتوى المقروء لصفحة ما سيلهي القارئ عن التركيز على الشكل الخارجي للنص أو شكل توضع الفقرات في الصفحة.</p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6 col-12">
                                <div class="features-single-wrap mb-sm-0 mb-md-5 mb-lg-5">
                                    <span class="ti-world p-3 mr-4 mt-1 rounded-circle float-left"></span>
                                    <div class="features-single-content d-block overflow-hidden">
                                        <h5 class="mb-2">تعدد اللغات</h5>
                                        <p>هناك حقيقة مثبتة منذ زمن طويل وهي أن المحتوى المقروء لصفحة ما سيلهي القارئ عن التركيز على الشكل الخارجي للنص أو شكل توضع الفقرات في الصفحة.</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-4 col-md-4 col-12">
                        <img src="{{asset('landing/assets/img/app-mobile-image.png')}}" class="img-fluid mx-auto d-lg-block d-none wow rollIn" data-wow-duration="2s" alt="app screen">
                    </div>
                </div>
            </div>
        </section>
        <!--features section end-->

        <!--video with download start-->
        <section class="position-relative overflow-hidden ptb-100">
            <div class="mask-65"></div>
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-md-9 col-lg-8">
                        <div class="section-heading text-center text-white">
                            <h2 class="text-white">تطبيق Q Driver أطلب سيارتك بسهولة
                            </h2>
                            <p>تطبيق Q Driver اول تطبيق عربي لنقل الأشخاص بكل سهولة و بلمسات بسيطة حيث يستطيع المستحدم طلب سيارة بضغطات بسيطة

                                .</p>
                        </div>
                        <div class="video-promo-content my-5 pb-4">
                            <a href="https://www.youtube.com/watch?v=9No-FiEInLA" class="popup-youtube video-play-icon text-center m-auto"><span class="ti-control-play"></span> </a>
                        </div>
                    </div>
                    <!--end col-->
                </div>
                <!--end row-->
                <div class="row justify-content-md-center justify-content-sm-center">
                    <div class="col-sm-6 col-md-6 col-lg-4">
                        <div class="bg-white p-5 rounded text-center shadow mt-lg-0 mt-4 wow zoomIn">
                            <div class="icon-text-wrap">
                                <i class="fab fa-apple icon-size-md color-primary mb-2"></i>
                                <h5>متجر ابل</h5>
                            </div>
                            <div class="p-20px">
                                <p class="m-0px">هناك حقيقة مثبتة منذ زمن طويل وهي أن المحتوى المقروء لصفحة ما سيلهي القارئ عن التركيز على الشكل الخارجي للنص.</p>
                                <a class="btn btn-brand-02 btn-sm btn-rounded" href="#">حمله الأن</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6 col-md-6 col-lg-4 wow zoomIn">
                        <div class="bg-white p-5 rounded text-center shadow mt-lg-0 mt-4">
                            <div class="icon-text-wrap">
                                <i class="fab fa-google-play icon-size-md color-primary mb-2"></i>
                                <h5>متجر جوجل</h5>
                            </div>
                            <div class="p-20px">
                                <p class="m-0px">هناك حقيقة مثبتة منذ زمن طويل وهي أن المحتوى المقروء لصفحة ما سيلهي القارئ عن التركيز على الشكل الخارجي للنص.</p>
                                <a class="btn btn-brand-02 btn-sm btn-rounded" href="#">حمله الأن</a>
                            </div>
                        </div>
                    </div>
              
                </div>
            </div>
        </section>
        <!--video with download end-->

        <!--screenshots section start-->
        <section id="screenshots" class="screenshots-section pb-100  ">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-md-9 col-lg-8">
                        <div class="section-heading text-center mb-5">
                            <h2>لقطات شاشة التطبيقات</h2>
                            <p>التأثير بشكل استباقي على قنوات القيمة المضافة عبر مهارات القيادة الخلفية. إحداث ثورة فعالة في الشبكات حول العالم في حين أن المحفزات الاستراتيجية للتغيير. </p>
                        </div>
                    </div>
                </div>
                <!--start app screen carousel-->
                <div class="screenshot-wrap">
                    <div class="screenshot-frame"></div>
                    <div class="screen-carousel owl-carousel owl-theme dot-indicator">
                        <img src="{{asset('landing/assets/img/01.jpg')}}" class="img-fluid" alt="screenshots" />
                        <img src="{{asset('landing/assets/img/02.jpg')}}" class="img-fluid" alt="screenshots" />
                        <img src="{{asset('landing/assets/img/03.jpg')}}" class="img-fluid" alt="screenshots" />
                        <img src="{{asset('landing/assets/img/04.jpg')}}" class="img-fluid" alt="screenshots" />
                        <img src="{{asset('landing/assets/img/05.jpg')}}" class="img-fluid" alt="screenshots" />
                        <img src="{{asset('landing/assets/img/06.jpg')}}" class="img-fluid" alt="screenshots" />
                    </div>
                </div>
                <!--end app screen carousel-->
            </div>
        </section>


        <!--screenshots section end-->

        <!--work process start-->
        <section id="process" class="work-process-section position-relative  ptb-100 gray-light-bg">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-md-9 col-lg-8">
                        <div class="section-heading text-center mb-5">
                            <h2>خطوات التطبيق</h2>
                            <p>
                                استضافة احترافية بسعر مناسب. إعادة تحديد الكفاءات الأساسية التي تتمحور حول المبدأ بشكل مميز من خلال الكفاءات الأساسية التي تركز على العميل.
                            </p>
                        </div>
                    </div>
                </div>
                <div class="row align-items-center justify-content-md-center justify-content-sm-center">
                    <div class="col-md-12 col-lg-6">
                        <div class="work-process-wrap">
                            <div class="process-single-item">
                                <div class="process-icon-item left-shape">
                                    <div class="d-flex align-items-center">
                                        <div class="process-icon mr-4">
                                            <i class="fas fa-map-marker-alt color-primary"></i>
                                        </div>
                                        <div class="process-content text-left">
                                            <h5>تحديد موقعك الحالي</h5>
                                            <p>مهندس شامل للخدمات الوصفية المستدامة للكفاءات الأساسية التي تتمحور حول العمليات. بحماس إعادة هندسة الاستعانة بمصادر خارجية أفضل السلالات.</p>
                                        </div>
                                    </div>
                                    <svg x="0px" y="0px" width="312px" height="130px">
                                        <path class="dashed1" fill="none" stroke="rgb(95, 93, 93)" stroke-width="1" stroke-dasharray="1300" stroke-dashoffset="0" d="M3.121,2.028 C3.121,2.028 1.003,124.928 99.352,81.226 C99.352,81.226 272.319,21.200 310.000,127.338"></path>
                                        <path class="dashed2" fill="none" stroke="#ffffff" stroke-width="2" stroke-dasharray="6" stroke-dashoffset="1300" d="M3.121,2.028 C3.121,2.028 1.003,124.928 99.352,81.226 C99.352,81.226 272.319,21.200 310.000,127.338 "></path>
                                    </svg>
                                </div>
                            </div>
                            <div class="process-single-item">
                                <div class="process-icon-item right-shape">
                                    <div class="d-flex align-items-center">
                                        <div class="process-icon ml-4">
                                            <i class="fas fa-map-marker-alt color-primary"></i>
                                        </div>
                                        <div class="process-content text-right">
                                            <h5>تجديد موقع الرحلة</h5>
                                            <p>تسخير monotonectally الاستعداد الشامل للويب بعد المحفزات القائمة على الوسائط المتعددة للتغيير. أنظمة الواجهة الأمامية للعلامة التجارية تمامًا قبل الرؤية.</p>
                                        </div>
                                    </div>
                                    <svg x="0px" y="0px" width="312px" height="130px">
                                        <path class="dashed1" fill="none" stroke="rgb(95, 93, 93)" stroke-width="1" stroke-dasharray="1300" stroke-dashoffset="0" d="M311.000,0.997 C311.000,0.997 313.123,123.592 214.535,79.996 C214.535,79.996 41.149,20.122 3.377,125.996"></path>
                                        <path class="dashed2" fill="none" stroke="#ffffff" stroke-width="2" stroke-dasharray="6" stroke-dashoffset="1300" d="M311.000,0.997 C311.000,0.997 313.123,123.592 214.535,79.996 C214.535,79.996 41.149,20.122 3.377,125.996"></path>
                                    </svg>
                                </div>
                            </div>
                            <div class="process-single-item">
                                <div class="process-icon-item left-shape mb-0">
                                    <div class="d-flex align-items-center">
                                        <div class="process-icon mr-4">
                                            <i class="fas fa-car color-primary"></i>
                                        </div>
                                        <div class="process-content text-left">
                                            <h5>بدأ الرحلة </h5>
                                            <p>انتحال Monotonectally الأعمال التآزرية للمجتمعات القائمة بذاتها. مهنيا تعزيز المنتجات المصنعة البصيرة التدريجي.</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 col-lg-6">
                        <div class="img-wrap">
                            <img src="{{asset('landing/assets/img/app-mobile-image-3.png')}}" alt="features" class="img-fluid wow jackInTheBox" data-wow-duration="2s">
                        </div>
                    </div>
                </div>
            </div>
        </section>


        <!--work process end-->

        <!--pricing section start-->
        <section id="pricing" class="pricing-section ptb-100 ">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-md-9 col-lg-8">
                        <div class="section-heading text-center mb-4">
                            <h2>سعرنا المرن</h2>
                            <p>
                                استضافة احترافية بسعر مناسب. إعادة تحديد الكفاءات الأساسية التي تتمحور حول المبدأ بشكل مميز من خلال الكفاءات الأساسية التي تركز على العميل.
                            </p>
                        </div>
                    </div>
                </div>
                <div class="row align-items-center justify-content-md-center justify-content-center">
                    <div class="col-12">
                        <div class="d-flex justify-content-center text-center">
                            <label class="pricing-switch-wrap">
                                <span class="beforeinput year-switch text-success">
                                شهريا
                            </span>
                                <input type="checkbox" class="d-none" id="js-contcheckbox">
                                <span class="switch-icon"></span>
                                <span class="afterinput year-switch">
                                    سنويا
                            </span>
                            </label>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6 col-sm-8">
                        <div class="text-center bg-white single-pricing-pack mt-4">
                            <div class="price-img pt-4">
                                <img src="{{asset('landing/assets/img/priching-img-1.png')}}" alt="price" width="120" class="img-fluid">
                            </div>
                            <div class="py-4 border-0 pricing-header">
                                <div class="price text-center mb-0 monthly-price color-secondary" style="display: block;"> ريال19<span>.99</span></div>
                                <div class="price text-center mb-0 yearly-price color-secondary" style="display: none;"> ريال69<span>.99</span></div>
                            </div>
                            <div class="price-name">
                                <h5 class="mb-0">اساسي</h5>
                            </div>
                            <div class="pricing-content">
                                <ul class="list-unstyled mb-4 pricing-feature-list">
                                    <li><span>محدود</span> الوصول لمدة شهر</li>
                                    <li><span>15</span> تخصيص الصفحة الفرعية</li>
                                    <li class="text-deem"><span>105</span> مساحة القرص</li>
                                    <li class="text-deem"><span>3</span> الوصول إلى المجال</li>
                                    <li class="text-deem">دعم عبر الهاتف 24/7</li>
                                </ul>
                                <a href="#" class="btn btn-outline-brand-02 btn-rounded mb-3" target="_blank">حمل التطبيق الأن</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6 col-sm-8">
                        <div class="popular-price bg-white text-center single-pricing-pack mt-4">
                            <div class="price-img pt-4">
                                <img src="{{asset('landing/assets/img/priching-img-2.png')}}" alt="price" width="120" class="img-fluid">
                            </div>
                            <div class="py-4 border-0 pricing-header">
                                <div class="price text-center mb-0 monthly-price color-secondary" style="display: block;">ريال49<span>.99</span></div>
                                <div class="price text-center mb-0 yearly-price color-secondary" style="display: none;"> ريال159<span>.99</span></div>
                            </div>
                            <div class="price-name">
                                <h5 class="mb-0">الممتازة</h5>
                            </div>
                            <div class="pricing-content">
                                <ul class="list-unstyled mb-4 pricing-feature-list">
                                    <li><span>غير محدود</span> الوصول لمدة شهر</li>
                                    <li><span>25</span> تخصيص الصفحة الفرعية</li>
                                    <li><span>150</span> مساحة القرص</li>
                                    <li class="text-deem"><span>5</span> الوصول إلى المجال </li>
                                    <li class="text-deem">دعم عبر الهاتف 24/7</li>
                                </ul>
                                <a href="#" class="btn btn-brand-02 btn-rounded mb-3" target="_blank">حمل التطبيق الأن</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6 col-sm-8">
                        <div class="text-center bg-white single-pricing-pack mt-4">
                            <div class="price-img pt-4">
                                <img src="{{asset('landing/assets/img/priching-img-3.png')}}" alt="price" width="120" class="img-fluid">
                            </div>
                            <div class="py-4 border-0 pricing-header">
                                <div class="price text-center mb-0 monthly-price color-secondary" style="display: block;"> ريال69<span>.99</span></div>
                                <div class="price text-center mb-0 yearly-price color-secondary" style="display: none;"> ريال259<span>.99</span></div>
                            </div>
                            <div class="price-name">
                                <h5 class="mb-0">غير محدود</h5>
                            </div>
                            <div class="pricing-content">
                                <ul class="list-unstyled mb-4 pricing-feature-list">
                                    <li><span>محدود</span> الوصول لمدة شهر</li>
                                    <li><span>15</span> تخصيص الصفحة الفرعية </li>
                                    <li><span>120</span> مساحة القرص </li>
                                    <li><span>5</span> الوصول إلى المجال</li>
                                    <li>24/7دعم عبر الهاتف </li>
                                </ul>
                                <a href="#" class="btn btn-outline-brand-02 btn-rounded mb-3" target="_blank">حمل التطبيق الأن</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-12">
                        <div class="support-cta text-center mt-5">
                            <h5 class="mb-1"><span class="ti-headphone-alt color-primary mr-3"></span>نحن هنا لمساعدتك
                            </h5>
                            <p>هل لديك بعض الأسئلة؟ <a href="#">الدردشة معنا الآن</a>, or <a href="#">مراسلتنا على البريد الاليكتروني</a> أن يتواصل.</p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--pricing section end-->

        <!--testimonial section start-->
        <section class="position-relative gradient-bg ptb-100">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-md-6 col-lg-5 mb-4 mb-sm-4 mb-md-0 mb-lg-0">
                        <div class="testimonial-heading text-white">
                            <h2 class="text-white">ماذا يقول عملاؤنا عن Apdash</h2>
                            <p>التعاون الفعال لتحقيق مخططات ممتازة بدون نماذج فعالة. هندسة التطبيقات الوظيفية بالتآزر بدلاً من التجارة الإلكترونية الخلفية.</p>
                        </div>
                    </div>
                    <div class="col-md-6 col-lg-6">
                        <div class="testimonial-content-wrap">
                            <div class="owl-carousel owl-theme client-testimonial-1 dot-indicator testimonial-shape">
                                <div class="item">
                                    <div class="testimonial-quote-wrap">
                                        <div class="media author-info mb-3">
                                            <div class="author-img mr-3">
                                                <img src="{{asset('landing/assets/img/client/1.jpg')}}" alt="client" class="img-fluid">
                                            </div>
                                            <div class="media-body text-white">
                                                <h5 class="mb-0 text-white">John Charles</h5>
                                                <span>Head Of Admin</span>
                                            </div>
                                            <i class="fas fa-quote-right text-white"></i>
                                        </div>
                                        <div class="client-say text-white">
                                            <p>تحسين الخبرة البحثية بالكامل بشكل تفاعلي مقابل علاقات التوصيل والتشغيل. تطوير جوهري للكفاءات الأساسية الفيروسية لخدمة العملاء التي تم اختبارها بالكامل. بحماس إنشاء استراتيجيات النمو والجيل القادم.</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="item">
                                    <div class="testimonial-quote-wrap">
                                        <div class="media author-info mb-3">
                                            <div class="author-img mr-3">
                                                <img src="{{asset('landing/assets/img/client/2.jpg')}}" alt="client" class="img-fluid">
                                            </div>
                                            <div class="media-body text-white">
                                                <h5 class="mb-0 text-white">Arabella Ora</h5>
                                                <span>HR Manager</span>
                                            </div>
                                            <i class="fas fa-quote-right text-white"></i>
                                        </div>
                                        <div class="client-say text-white">
                                            <p>تطوير استراتيجيات نمو سهلة الاستخدام بسرعة بعد مبادرات واسعة النطاق. قم بزيادة الفوائد المبتكرة بشكل ملائم من خلال التسليمات المختبرة بالكامل. الاستفادة بسرعة من المنصات المركزة من خلال المخططات الشاملة.</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="item">
                                    <div class="testimonial-quote-wrap">
                                        <div class="media author-info mb-3">
                                            <div class="author-img mr-3">
                                                <img src="{{asset('landing/assets/img/client/3.jpg')}}" alt="client" class="img-fluid">
                                            </div>
                                            <div class="media-body text-white">
                                                <h5 class="mb-0 text-white">Jeremy Jere</h5>
                                                <span>Team Leader</span>
                                            </div>
                                            <i class="fas fa-quote-right text-white"></i>
                                        </div>
                                        <div class="client-say text-white">
                                            <p>توليف موضوعي e-Tailers التي تركز على العميل للقنوات التي يمكن صيانتها. إدارة شاملة للباحثين الموجهين للعملاء في حين الوظائف التكتيكية. تحقيق الدخل الضروري من الضرورات الموثوقة من خلال التركيز على العميل.</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="item">
                                    <div class="testimonial-quote-wrap">
                                        <div class="media author-info mb-3">
                                            <div class="author-img mr-3">
                                                <img src="{{asset('landing/assets/img/client/4.jpg')}}" alt="client" class="img-fluid">
                                            </div>
                                            <div class="media-body text-white">
                                                <h5 class="mb-0 text-white">John Charles</h5>
                                                <span>Marketing Head</span>
                                            </div>
                                            <i class="fas fa-quote-right text-white"></i>
                                        </div>
                                        <div class="client-say text-white">
                                            <p>ابتكار بحماس بيانات B2C دون التقارب بين النقرات وقذائف الهاون. يتم تنفيذ إجراءات اختبار مقنعة بشكل أحادي مقابل إجراءات اختبار B2B. قم بمصادرة الموارد المتكاملة بكفاءة بينما عالمية.</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--testimonial section end-->

      

    

        <!--our contact section start-->
        <section id="contact" class="contact-us-section ptb-100">
            <div class="container">
                <div class="row justify-content-around">
                    <div class="col-12 pb-3 message-box d-none">
                        <div class="alert alert-danger"></div>
                    </div>
                    <div class="col-md-12 col-lg-5 mb-5 mb-md-5 mb-sm-5 mb-lg-0">
                        <div class="contact-us-form gray-light-bg rounded p-5">
                            <h4>على استعداد للبدء؟</h4>
                            <form action="" method="POST" id="contactForm" class="contact-us-form">
                                <div class="form-row">
                                    <div class="col-12">
                                        <div class="form-group">
                                            <input type="text" class="form-control" name="name" placeholder="اكتب اسمك" required="required">
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="form-group">
                                            <input type="email" class="form-control" name="email" placeholder="اكتب بريدك الالكتروني" required="required">
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="form-group">
                                            <textarea name="message" id="message" class="form-control" rows="7" cols="25" placeholder="نص الرسالة"></textarea>
                                        </div>
                                    </div>
                                    <div class="col-sm-12 mt-3">
                                        <button type="submit" class="btn btn-brand-02" id="btnContactUs">
ارسال الرسالة                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="col-md-12 col-lg-6">
                        <div class="contact-us-content">
                            <h2>هل تبحث عن فكرة عمل ممتازة؟</h2>
                            <p class="lead">اتصل بنا أو اتصل بنا في أي وقت ، ونحن نسعى للرد على جميع الاستفسارات في غضون 24 ساعة في أيام العمل.</p>

                            <a href="#" class="btn btn-brand-02"> موقعنا على الخريطة  <span class="ti-arrow-right pl-2"></span></a>

                            <hr class="my-5">

                            <ul class="contact-info-list">
                                <li class="d-flex pb-3">
                                    <div class="contact-icon mr-3">
                                        <span class="fas fa-location-arrow color-primary rounded-circle p-3"></span>
                                    </div>
                                    <div class="contact-text">
                                        <h5 class="mb-1">موقعنا</h5>
                                        <p>
                                            100 Yellow House, Mn Factory, United State, 13420
                                        </p>
                                    </div>
                                </li>
                                <li class="d-flex pb-3">
                                    <div class="contact-icon mr-3">
                                        <span class="fas fa-envelope color-primary rounded-circle p-3"></span>
                                    </div>
                                    <div class="contact-text">
                                        <h5 class="mb-1">البريد الإلكتروني</h5>
                                        <p>
                                            hello@yourdomain.com
                                        </p>
                                    </div>
                                </li>
                            </ul>

                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--our contact section end-->



    </div>

    <!--footer section start-->
    <!--when you want to remove subscribe newsletter container then you should remove .footer-with-newsletter class-->
    <footer class="footer-1 gradient-bg ptb-60 footer-with-newsletter">
        <!--subscribe newsletter start-->
        <div class="container">
            <div class="row newsletter-wrap primary-bg rounded shadow-lg p-5">
                <div class="col-md-6 col-lg-7 mb-4 mb-md-0 mb-sm-4 mb-lg-0">
                    <div class="newsletter-content text-white">
                        <h3 class="mb-0 text-white">تابع اخبارنا</h3>
                        <p class="mb-0">يمكنك متابعة الجديد عن طريق الاشتراك في حدمة الرسائل</p>
                    </div>
                </div>
                <div class="col-md-6 col-lg-5">
                    <form class="newsletter-form position-relative">
                        <input type="text" class="input-newsletter form-control" placeholder="اكتب بريدك الالكتروني" name="email" required="" autocomplete="off">
                        <button type="submit" class="disabled"><i class="fas fa-paper-plane"></i></button>
                    </form>
                </div>
            </div>
        </div>
        <!--subscribe newsletter end-->

        <div class="container">
            <div class="row">
                <div class="col-md-12 col-lg-12 ">
                    <a href="#" class="navbar-brand mb-2 center">
                        <img src="{{asset('landing/assets/img/logo-white.png')}}" alt="logo" class="img-fluid wow shake">
                    </a>
                    <br>
                   
                    <div class="list-inline social-list-default background-color social-hover-2  center">
                        <li class="list-inline-item"><a class="twitter" href="#"><i class="fab fa-twitter"></i></a></li>
                        <li class="list-inline-item"><a class="youtube" href="#"><i class="fab fa-youtube"></i></a></li>
                        <li class="list-inline-item"><a class="linkedin" href="#"><i class="fab fa-linkedin-in"></i></a></li>
                        <li class="list-inline-item"><a class="dribbble" href="#"><i class="fab fa-dribbble"></i></a></li>
                    </div>
                </div>
                <p class="center m-t-10">
                        
                   Designed and developed by <a class="grand" href="https://2grand.net/">Grand</a>


                </p>
            </div>
        </div>
        <!--end of container-->
    </footer>
    <!--footer bottom copyright start-->
  
    <!--footer bottom copyright end-->
    <!--footer section end-->
    <!--scroll bottom to top button start-->
    <div class="scroll-top scroll-to-target primary-bg text-white" data-target="html">
        <span class="fas fa-hand-point-up"></span>
    </div>
    <!--scroll bottom to top button end-->
    <!--build:js-->
    <script src="{{asset('landing/assets/js/vendors/jquery-3.5.1.min.js')}}"></script>
    <script src="{{asset('landing/assets/js/vendors/popper.min.js')}}"></script>
    <script src="{{asset('landing/assets/js/vendors/bootstrap.min-rtl.js')}}"></script>
    <script src="{{asset('landing/assets/js/vendors/jquery.easing.min.js')}}"></script>
    <script src="{{asset('landing/assets/js/vendors/owl.carousel.min.js')}}"></script>
    <script src="{{asset('landing/assets/js/vendors/countdown.min.js')}}"></script>
    <script src="{{asset('landing/assets/js/vendors/jquery.waypoints.min.js')}}"></script>
    <script src="{{asset('landing/assets/js/vendors/jquery.rcounterup.js')}}"></script>
    <script src="{{asset('landing/assets/js/vendors/magnific-popup.min.js')}}"></script>
    <script src="{{asset('landing/assets/js/vendors/validator.min.js')}}"></script>
    <script src="{{asset('landing/assets/js/app.js')}}"></script>
    <script src="{{asset('landing/assets/js/wow.min.js')}}"></script>

    <!-- inject js end -->
    <script>
      $(".clickable").on('click', function(){
      $(".clickable").removeClass('current');
      $(this).addClass('current');
    });
          
          
          new WOW().init();
      
      </script>
    <!--endbuild-->
</body>

</html>